- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSResult Class Reference

The Result Class. More...

`#include <OSResult.h>`

Collaboration diagram for OSResult:

[legend]
List of all members.

## Public Member Functions
| OSResult ()
| Default constructor.
| ~OSResult ()
| Class destructor.
bool | setResultHeader (std::string name, std::string source, std::string fileCreator, std::string description, std::string licence)
| A function to populate an instance of the result header element.
bool | IsEqual (OSResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
GeneralStatus * | getGeneralStatus ()
| Get the general status.
std::string | getGeneralStatusType ()
| Get the general status type, which can be: success, error, warning.
std::string | getGeneralStatusDescription ()
| Get the general status description.
int | getNumberOfGeneralSubstatuses ()
| Get the number of substatuses.
std::string | getGeneralSubstatusName (int i)
| Get the i_th general substatus name.
std::string | getGeneralSubstatusDescription (int i)
| Get the i_th general substatus description.
std::string | getGeneralMessage ()
| Get the general message.
std::string | getServiceName ()
| Get service name.
std::string | getServiceURI ()
| Get service uri.
std::string | getInstanceName ()
| Get instance name.
std::string | getJobID ()
| Get the job id.
std::string | getSolverInvoked ()
| Get the solver invoked.
std::string | getTimeStamp ()
| Get the time stamp.
int | getNumberOfOtherGeneralResults ()
| Get the number of other results in the <general> element.
std::string | getOtherGeneralResultName (int idx)
| Get the name of the i-th other result in the <general> element.
std::string | getOtherGeneralResultValue (int idx)
std::string | getOtherGeneralResultDescription (int idx)
std::string | getSystemInformation ()
std::string | getAvailableDiskSpaceUnit ()
std::string | getAvailableDiskSpaceDescription ()
double | getAvailableDiskSpaceValue ()
std::string | getAvailableMemoryUnit ()
std::string | getAvailableMemoryDescription ()
double | getAvailableMemoryValue ()
std::string | getAvailableCPUSpeedUnit ()
std::string | getAvailableCPUSpeedDescription ()
double | getAvailableCPUSpeedValue ()
std::string | getAvailableCPUNumberDescription ()
int | getAvailableCPUNumberValue ()
int | getNumberOfOtherSystemResults ()
std::string | getOtherSystemResultName (int idx)
std::string | getOtherSystemResultValue (int idx)
std::string | getOtherSystemResultDescription (int idx)
std::string | getCurrentState ()
int | getCurrentJobCount ()
int | getTotalJobsSoFar ()
std::string | getTimeServiceStarted ()
double | getServiceUtilization ()
int | getNumberOfOtherServiceResults ()
std::string | getOtherServiceResultName (int idx)
std::string | getOtherServiceResultValue (int idx)
std::string | getOtherServiceResultDescription (int idx)
std::string | getJobStatus ()
std::string | getJobSubmitTime ()
std::string | getScheduledStartTime ()
std::string | getActualStartTime ()
std::string | getJobEndTime ()
int | getTimeNumber ()
| Get the number of time measurements.
double | getTimeValue ()
| Get the time measurement.
int | getNumberOfTimes ()
std::string | getTimingInfoUnit (int idx)
std::string | getTimingInfoType (int idx)
std::string | getTimingInfoCategory (int idx)
std::string | getTimingInfoDescription (int idx)
double | getTimingInfoValue (int idx)
std::string | getUsedDiskSpaceUnit ()
std::string | getUsedDiskSpaceDescription ()
double | getUsedDiskSpaceValue ()
std::string | getUsedMemoryUnit ()
std::string | getUsedMemoryDescription ()
double | getUsedMemoryValue ()
std::string | getUsedCPUSpeedUnit ()
std::string | getUsedCPUSpeedDescription ()
double | getUsedCPUSpeedValue ()
std::string | getUsedCPUNumberDescription ()
int | getUsedCPUNumberValue ()
int | getNumberOfOtherJobResults ()
std::string | getOtherJobResultName (int idx)
std::string | getOtherJobResultValue (int idx)
std::string | getOtherJobResultDescription (int idx)
int | getVariableNumber ()
| Get variable number.
int | getObjectiveNumber ()
| Get objective number.
int | getConstraintNumber ()
| Get constraint number.
int | getSolutionNumber ()
| get the number of solutions.
OptimizationSolutionStatus * | getSolutionStatus (int solIdx)
| Get the [i]th optimization solution status, where i equals the given solution index.
std::string | getSolutionStatusType (int solIdx)
| Get the [i]th optimization solution status type, where i equals the given solution index.
std::string | getSolutionStatusDescription (int solIdx)
| Get the [i]th optimization solution status description, where i equals the given solution index.
int | getNumberOfSolutionSubstatuses (int solIdx)
std::string | getSolutionSubstatusType (int solIdx, int substatusIdx)
std::string | getSolutionSubstatusDescription (int solIdx, int substatusIdx)
int | getSolutionTargetObjectiveIdx (int solIdx)
bool | getSolutionWeightedObjectives (int solIdx)
| Get the [i]th optimization solution form of the objective.
std::string | getSolutionMessage (int solIdx)
| Get the [i]th optimization solution message, where i equals the given solution index.
int | getNumberOfPrimalVariableValues (int solIdx)
int | getNumberOfVarValues (int solIdx)
int | getVarValueIdx (int solIdx, int varIdx)
double | getVarValue (int solIdx, int varIdx)
std::vector< IndexValuePair * > | getOptimalPrimalVariableValues (int solIdx)
| Get one solution of optimal primal variable values.
int | getNumberOfVarValuesString (int solIdx)
int | getVarValueStringIdx (int solIdx, int varIdx)
std::string | getVarValueString (int solIdx, int varIdx)
int | getBasisStatusNumberOfEl (int solIdx, int object, int status)
| Get the number of indices that belong to a particular basis status.
int | getBasisStatusEl (int solIdx, int object, int status, int j)
| Get an entry in the array of indices that belong to a particular basis status.
int | getNumberOfOtherVariableResults (int solIdx)
| Get numberOfOtherVariableResult.
int | getAnOtherVariableResultNumberOfVar (int solIdx, int iOther)
| Get getAnOtherVariableResultNumberOfVar.
std::string | getOtherVariableResultName (int solIdx, int otherIdx)
std::string | getOtherVariableResultValue (int solIdx, int otherIdx)
std::string | getOtherVariableResultDescription (int solIdx, int otherIdx)
int | getOtherVariableResultNumberOfVar (int solIdx, int otherIdx)
int | getOtherVariableResultNumberOfEnumerations (int solIdx, int otherIdx)
int | getOtherVariableResultVarIdx (int solIdx, int otherIdx, int varIdx)
std::string | getOtherVariableResultVar (int solIdx, int otherIdx, int varIdx)
std::string | getOtherVariableResultEnumerationValue (int solIdx, int otherIdx, int enumIdx)
| Get the value of an enum associated with an <other> result for some solution.
std::string | getOtherVariableResultEnumerationDescription (int solIdx, int otherIdx, int enumIdx)
| Get the description of an enum associated with an <other> result for some solution.
int | getOtherVariableResultEnumerationNumberOfEl (int solIdx, int otherIdx, int enumIdx)
| Get the size of an enum associated with an <other> result for some solution.
int | getOtherVariableResultEnumerationEl (int solIdx, int otherIdx, int enumIdx, int j)
| Get one index of an enum associated with an <other> result for some solution.
int | getNumberOfObjValues (int solIdx)
int | getObjValueIdx (int solIdx, int objIdx)
double | getObjValue (int solIdx, int objIdx)
double | getOptimalObjValue (int objIdx, int solIdx)
| Get one solution's optimal objective value.
int | getNumberOfOtherObjectiveResults (int solIdx)
std::string | getOtherObjectiveResultName (int solIdx, int otherIdx)
std::string | getOtherObjectiveResultValue (int solIdx, int otherIdx)
std::string | getOtherObjectiveResultDescription (int solIdx, int otherIdx)
int | getOtherObjectiveResultNumberOfObj (int solIdx, int otherIdx)
int | getOtherObjectiveResultNumberOfEnumerations (int solIdx, int otherIdx)
int | getOtherObjectiveResultObjIdx (int solIdx, int otherIdx, int objIdx)
std::string | getOtherObjectiveResultObj (int solIdx, int otherIdx, int objIdx)
std::string | getOtherObjectiveResultEnumerationValue (int solIdx, int otherIdx, int enumIdx)
| Get the value of an enum associated with an <other> result for some solution.
std::string | getOtherObjectiveResultEnumerationDescription (int solIdx, int otherIdx, int enumIdx)
| Get the description of an enum associated with an <other> result for some solution.
int | getOtherObjectiveResultEnumerationNumberOfEl (int solIdx, int otherIdx, int enumIdx)
| Get the size of an enum associated with an <other> result for some solution.
int | getOtherObjectiveResultEnumerationEl (int solIdx, int otherIdx, int enumIdx, int j)
| Get one index of an enum associated with an <other> result for some solution.
int | getNumberOfDualValues (int solIdx)
int | getDualValueIdx (int solIdx, int conIdx)
double | getDualValue (int solIdx, int conIdx)
std::vector< IndexValuePair * > | getOptimalDualVariableValues (int solIdx)
| Get one solution of optimal dual variable values.
int | getNumberOfOtherConstraintResults (int solIdx)
std::string | getOtherConstraintResultName (int solIdx, int otherIdx)
std::string | getOtherConstraintResultValue (int solIdx, int otherIdx)
std::string | getOtherConstraintResultDescription (int solIdx, int otherIdx)
int | getOtherConstraintResultNumberOfCon (int solIdx, int otherIdx)
int | getOtherConstraintResultNumberOfEnumerations (int solIdx, int otherIdx)
int | getOtherConstraintResultConIdx (int solIdx, int otherIdx, int conIdx)
std::string | getOtherConstraintResultCon (int solIdx, int otherIdx, int conIdx)
std::string | getOtherConstraintResultEnumerationValue (int solIdx, int otherIdx, int enumIdx)
| Get the value of an enum associated with an <other> result for some solution.
std::string | getOtherConstraintResultEnumerationDescription (int solIdx, int otherIdx, int enumIdx)
| Get the description of an enum associated with an <other> result for some solution.
int | getOtherConstraintResultEnumerationNumberOfEl (int solIdx, int otherIdx, int enumIdx)
| Get the size of an enum associated with an <other> result for some solution.
int | getOtherConstraintResultEnumerationEl (int solIdx, int otherIdx, int enumIdx, int j)
| Get one index of an enum associated with an <other> result for some solution.
int | getNumberOfOtherSolutionResults (int solIdx)
std::string | getOtherSolutionResultName (int solIdx, int otherIdx)
std::string | getOtherSolutionResultCategory (int solIdx, int otherIdx)
std::string | getOtherSolutionResultDescription (int solIdx, int otherIdx)
int | getOtherSolutionResultNumberOfItems (int solIdx, int otherIdx)
std::string | getOtherSolutionResultItem (int solIdx, int otherIdx, int itemIdx)
int | getNumberOfSolverOutputs ()
std::string | getSolverOutputName (int otherIdx)
std::string | getSolverOutputCategory (int otherIdx)
std::string | getSolverOutputDescription (int otherIdx)
int | getSolverOutputNumberOfItems (int otherIdx)
std::string | getSolverOutputItem (int otherIdx, int itemIdx)
bool | setGeneralStatus (GeneralStatus *status)
| Set the general status.
bool | setGeneralStatusType (std::string type)
| Set the general status type, which can be: success, error, warning.
bool | setNumberOfGeneralSubstatuses (int num)
| Set the number of substatus elements.
bool | setGeneralStatusDescription (std::string description)
| Set the general status description.
bool | setGeneralSubstatusName (int idx, std::string name)
| Set the general substatus name.
bool | setGeneralSubstatusDescription (int idx, std::string description)
| Set the general substatus description.
bool | setGeneralMessage (std::string message)
| Set the general message.
bool | setServiceName (std::string serviceName)
| Set service name.
bool | setServiceURI (std::string serviceURI)
| Set service uri.
bool | setInstanceName (std::string instanceName)
| Set instance name.
bool | setJobID (std::string jobID)
| Set job id.
bool | setSolverInvoked (std::string solverInvoked)
| Set solver invoked.
bool | setTimeStamp (std::string timeStamp)
| Set time stamp.
bool | setNumberOfOtherGeneralResults (int num)
| Set number of other general results.
bool | setOtherGeneralResultName (int idx, std::string name)
| Set the general otherResult name.
bool | setOtherGeneralResultValue (int idx, std::string value)
| Set the general otherResult value.
bool | setOtherGeneralResultDescription (int idx, std::string description)
| Set the general otherResult description.
bool | setSystemInformation (std::string systemInformation)
| Set the system information.
bool | setAvailableDiskSpaceUnit (std::string unit)
| Set the unit in which available disk space is measured.
bool | setAvailableDiskSpaceDescription (std::string description)
| Set the description of available disk space.
bool | setAvailableDiskSpaceValue (double value)
| Set the amount of available disk space.
bool | setAvailableMemoryUnit (std::string unit)
| Set the unit in which available memory is measured.
bool | setAvailableMemoryDescription (std::string description)
| Set the description of available memory.
bool | setAvailableMemoryValue (double value)
| Set the amount of available memory.
bool | setAvailableCPUSpeedUnit (std::string unit)
| Set the unit in which available CPU speed is measured.
bool | setAvailableCPUSpeedDescription (std::string description)
| Set the description of available CPU speed.
bool | setAvailableCPUSpeedValue (double value)
| Set the available CPU speed.
bool | setAvailableCPUNumberDescription (std::string description)
| Set the description of available number of CPUs.
bool | setAvailableCPUNumberValue (int value)
| Set the available number of CPUs.
bool | setNumberOfOtherSystemResults (int num)
| Set number of other system results.
bool | setOtherSystemResultName (int idx, std::string name)
| Set the system otherResult name.
bool | setOtherSystemResultValue (int idx, std::string value)
| Set the system otherResult value.
bool | setOtherSystemResultDescription (int idx, std::string description)
| Set the system otherResult description.
bool | setCurrentState (std::string currentState)
| Set the current state of the service.
bool | setCurrentJobCount (int jobCount)
| Set the current job count.
bool | setTotalJobsSoFar (int number)
| Set the total number of jobs so far.
bool | setTimeServiceStarted (std::string startTime)
| Set the time the service was started.
bool | setServiceUtilization (double value)
| Set the service utilitzation.
bool | setNumberOfOtherServiceResults (int num)
| Set number of other service results.
bool | setOtherServiceResultName (int idx, std::string name)
| Set the service otherResult name.
bool | setOtherServiceResultValue (int idx, std::string value)
| Set the service otherResult value.
bool | setOtherServiceResultDescription (int idx, std::string description)
| Set the service otherResult description.
bool | setJobStatus (std::string status)
| Set the job status.
bool | setJobSubmitTime (std::string submitTime)
| Set the time when the job was submitted.
bool | setScheduledStartTime (std::string scheduledStartTime)
| Set the job's scheduled start time.
bool | setActualStartTime (std::string actualStartTime)
| Set the job's actual start time.
bool | setJobEndTime (std::string endTime)
| Set the time when the job finished.
bool | setTime (double time)
| Set time.
bool | addTimingInformation (std::string type, std::string category, std::string unit, std::string description, double value)
| Add timing information.
bool | setTimingInformation (int idx, std::string type, std::string category, std::string unit, std::string description, double value)
| Set timing information.
bool | setNumberOfTimes (int numberOfTimes)
| Set the number of time measurements and initial the time array.
bool | setTimeNumber (int timeNumber)
| Set the number of time measurements.
bool | setUsedDiskSpaceUnit (std::string unit)
| Set the unit in which used disk space is measured.
bool | setUsedDiskSpaceDescription (std::string description)
| Set the description of used disk space.
bool | setUsedDiskSpaceValue (double value)
| Set the amount of used disk space.
bool | setUsedMemoryUnit (std::string unit)
| Set the unit in which used memory is measured.
bool | setUsedMemoryDescription (std::string description)
| Set the description of used memory.
bool | setUsedMemoryValue (double value)
| Set the amount of used memory.
bool | setUsedCPUSpeedUnit (std::string unit)
| Set the unit in which used CPU speed is measured.
bool | setUsedCPUSpeedDescription (std::string description)
| Set the description of used CPU speed.
bool | setUsedCPUSpeedValue (double value)
| Set the used CPU speed.
bool | setUsedCPUNumberDescription (std::string description)
| Set the description of used number of CPUs.
bool | setUsedCPUNumberValue (int value)
| Set the used number of CPUs.
bool | setNumberOfOtherJobResults (int num)
| Set number of other job results.
bool | setOtherJobResultName (int idx, std::string name)
| Set the job otherResult name.
bool | setOtherJobResultValue (int idx, std::string value)
| Set the job otherResult value.
bool | setOtherJobResultDescription (int idx, std::string description)
| Set the job otherResult description.
bool | setVariableNumber (int variableNumber)
| Set the variable number.
bool | setObjectiveNumber (int objectiveNumber)
| Set the objective number.
bool | setConstraintNumber (int constraintNumber)
| Set the constraint number.
bool | setSolutionNumber (int number)
| set the number of solutions.
bool | setSolutionStatus (int solIdx, std::string type, std::string description)
| Set the [i]th optimization solution status, where i equals the given solution index.
bool | setSolutionStatusType (int solIdx, std::string type)
| Set the [i]th optimization solution status type.
bool | setNumberOfSolutionSubstatuses (int solIdx, int num)
| Set the [i]th optimization solution's number of substatus elements.
bool | setSolutionStatusDescription (int solIdx, std::string description)
| Set the [i]th optimization solution status description.
bool | setSolutionSubstatusType (int solIdx, int substatusIdx, std::string type)
| Set the solution substatus type.
bool | setSolutionSubstatusDescription (int solIdx, int substatusIdx, std::string description)
| Set the solution substatus description.
bool | setSolutionTargetObjectiveIdx (int solIdx, int objectiveIdx)
| Set the [i]th optimization solution's objective index, where i equals the given solution index.
bool | setSolutionWeightedObjectives (int solIdx, bool weightedObjectives)
| Record whether the [i]th optimization solution uses weighted objectives, where i equals the given solution index.
bool | setSolutionMessage (int solIdx, std::string msg)
| Set the [i]th optimization solution's message, where i equals the given solution index.
bool | setNumberOfPrimalVariableValues (int solIdx, int n)
| Set the [i]th optimization solution's number of primal variable values, where i equals the given solution index.
bool | setPrimalVariableValuesSparse (int solIdx, std::vector< IndexValuePair * > x)
| Set the [i]th optimization solution's primal variable values, where i equals the given solution index.
bool | setPrimalVariableValuesDense (int solIdx, double *x)
| Set the [i]th optimization solution's primal variable values, where i equals the given solution index.
bool | setNumberOfVarValues (int solIdx, int numberOfVar)
| Set the number of primal variables to be given a value.
bool | setVarValue (int solIdx, int number, int idx, double val)
| Set a primal variable value.
bool | setNumberOfVarValuesString (int solIdx, int numberOfVar)
| Set the number of string-valued primal variables to be given a value.
bool | setVarValueString (int solIdx, int number, int idx, std::string str)
| Set a string-valued primal variable value.
bool | setBasisStatus (int solIdx, int object, int status, int *i, int ni)
| Set the basis status of a number of variables/constraints/objectives.
bool | setNumberOfOtherVariableResults (int solIdx, int numberOfOtherVariableResults)
| Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.
bool | setAnOtherVariableResultSparse (int solIdx, int otherIdx, std::string name, std::string value, std::string description, int *idx, std::string *s, int n)
| Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.
bool | setAnOtherVariableResultDense (int solIdx, int otherIdx, std::string name, std::string value, std::string description, std::string *s)
| Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.
bool | setOtherVariableResultNumberOfVar (int solIdx, int otherIdx, int numberOfVar)
| Set the number of children of another (non-standard/solver specific) variable-related result, for the [i]th solution.
bool | setOtherVariableResultNumberOfEnumerations (int solIdx, int otherIdx, int numberOfEnumerations)
| Set the number of <enumeration> children of another (non-standard/solver specific) variable-related result, for the [i]th solution.
bool | setOtherVariableResultName (int solIdx, int otherIdx, std::string name)
| Set the name of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherVariableResultValue (int solIdx, int otherIdx, std::string value)
| Set the value of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherVariableResultDescription (int solIdx, int otherIdx, std::string description)
| Set the description of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherVariableResultVarIdx (int solIdx, int otherIdx, int varIdx, int idx)
| Set the index of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherVariableResultVar (int solIdx, int otherIdx, int varIdx, std::string value)
| Set the value of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherOptionEnumeration (int solIdx, int otherIdx, int object, int enumIdx, std::string value, std::string description, int *i, int ni)
| Set the value and corresponding indices of another (non-standard/solver specific) variable-related result, for the [k]th solution, where k equals the given solution index.
bool | setNumberOfOtherObjectiveResults (int solIdx, int numberOfOtherObjectiveResults)
| Set the [i]th optimization solution's other (non-standard/solver specific) objective-related results, where i equals the given solution index.
bool | setNumberOfObjValues (int solIdx, int numberOfObj)
| Set the number of objectives to be given a value.
bool | setNumberOfObjectiveValues (int solIdx, int n)
| Set the [i]th optimization solution's number of objective values, where i equals the given solution index.
bool | setObjectiveValuesSparse (int solIdx, std::vector< IndexValuePair * > x)
| Set the [i]th optimization solution's objective values, where i equals the given solution index.
bool | setObjectiveValuesDense (int solIdx, double *objectiveValues)
| Set the [i]th optimization solution's objective values, where i equals the given solution index.
bool | setObjValue (int solIdx, int number, int idx, double val)
| Set an objective value.
bool | setOtherObjectiveResultNumberOfObj (int solIdx, int otherIdx, int numberOfObj)
| Set the number of <obj> children of another (non-standard/solver specific) objective-related result, for the [i]th solution.
bool | setOtherObjectiveResultNumberOfEnumerations (int solIdx, int otherIdx, int numberOfObj)
| Set the number of <enumeration> children of another (non-standard/solver specific) objective-related result, for the [i]th solution.
bool | setOtherObjectiveResultName (int solIdx, int otherIdx, std::string name)
| Set the name of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherObjectiveResultValue (int solIdx, int otherIdx, std::string value)
| Set the value of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherObjectiveResultDescription (int solIdx, int otherIdx, std::string description)
| Set the description of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherObjectiveResultObjIdx (int solIdx, int otherIdx, int objIdx, int idx)
| Set the index of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherObjectiveResultObj (int solIdx, int otherIdx, int objIdx, std::string value)
| Set the value of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.
bool | setNumberOfOtherConstraintResults (int solIdx, int numberOfOtherConstraintResults)
| Set the [i]th optimization solution's other (non-standard/solver specific) constraint-related results, where i equals the given solution index.
bool | setNumberOfDualValues (int solIdx, int numberOfCon)
| Set the number of constraints to be given a value.
bool | setNumberOfDualVariableValues (int solIdx, int n)
| Set the [i]th optimization solution's number of dual variable values, where i equals the given solution index.
bool | setDualVariableValuesSparse (int solIdx, std::vector< IndexValuePair * > x)
| Set the [i]th optimization solution's dual variable values, where i equals the given solution index.
bool | setDualVariableValuesDense (int solIdx, double *y)
| Set the [i]th optimization solution's dual variable values, where i equals the given solution index.
bool | setConstraintValuesDense (int solIdx, double *constraintValues)
| Set the [i]th optimization solution's constraint values, where i equals the given solution index.
bool | setDualValue (int solIdx, int number, int idx, double val)
| Set a dual value.
bool | setOtherConstraintResultNumberOfCon (int solIdx, int otherIdx, int numberOfCon)
| Set the number of <con> children of another (non-standard/solver specific) constraint-related result, for the [i]th solution.
bool | setOtherConstraintResultNumberOfEnumerations (int solIdx, int otherIdx, int numberOfCon)
| Set the number of <enumeration> children of another (non-standard/solver specific) constraint-related result, for the [i]th solution.
bool | setOtherConstraintResultName (int solIdx, int otherIdx, std::string name)
| Set the name of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherConstraintResultValue (int solIdx, int otherIdx, std::string value)
| Set the value of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherConstraintResultDescription (int solIdx, int otherIdx, std::string description)
| Set the description of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherConstraintResultConIdx (int solIdx, int otherIdx, int conIdx, int idx)
| Set the index of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.
bool | setOtherConstraintResultCon (int solIdx, int otherIdx, int conIdx, std::string value)
| Set the value of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.
bool | setNumberOfOtherSolutionResults (int solIdx, int numberOfOtherSolutionResults)
| Set the [i]th optimization solution's other (non-standard/solver specific) solution-related results, where i equals the given solution index.
bool | setOtherSolutionResultName (int solIdx, int otherIdx, std::string name)
| Set the name associated with the [j]th other solution result of solution [i].
bool | setOtherSolutionResultCategory (int solIdx, int otherIdx, std::string category)
| Set the category associated with the [j]th other solution result of solution [i].
bool | setOtherSolutionResultDescription (int solIdx, int otherIdx, std::string description)
| Set the description associated with the [j]th other solution result of solution [i].
bool | setOtherSolutionResultNumberOfItems (int solIdx, int otherIdx, int numberOfItems)
| Set the number of items associated with the [j]th other solution result of solution [i].
bool | setOtherSolutionResultItem (int solIdx, int otherIdx, int itemIdx, std::string item)
| Set one item associated with the [j]th other solution result of solution [i].
bool | setNumberOfSolverOutputs (int numberOfSolverOutputs)
| Set the number of other solver outputs.
bool | setSolverOutputName (int otherIdx, std::string name)
| Set the name associated with the [j]th solver output.
bool | setSolverOutputCategory (int otherIdx, std::string category)
| Set the category associated with the [j]th solver output.
bool | setSolverOutputDescription (int otherIdx, std::string description)
| Set the description associated with the [j]th solver output.
bool | setSolverOutputNumberOfItems (int otherIdx, int numberOfItems)
| Set the number of items associated with the [j]th solver output.
bool | setSolverOutputItem (int otherIdx, int itemIdx, std::string item)
| Set one item associated with the [j]th solver output.
| OSResult ()
| Default constructor.
| ~OSResult ()
| Class destructor.
GeneralStatus * | getGeneralStatus ()
| Get the general status.
std::string | getGeneralStatusType ()
| Get the general status type, which can be: success, error, warning.
std::string | getGeneralStatusDescription ()
| Get the general status description.
std::string | getServiceName ()
| Get service name.
std::string | getServiceURI ()
| Get service uri.
std::string | getInstanceName ()
| Get instance name.
std::string | getJobID ()
| Get the job id.
std::string | getGeneralMessage ()
| Get the general message.
int | getTimeNumber ()
| Get the number of time measurements.
double | getTimeValue ()
| Get the time measurement.
double * | getOptimalPrimalVariableValues (int objIdx)
| Get one solution of optimal primal variable values.
double * | getOptimalDualVariableValues (int objIdx)
| Get one solution of optimal dual variable values.
OptimizationSolutionStatus * | getSolutionStatus (int solIdx)
| Get the [i]th optimization solution status, where i equals the given solution index.
std::string | getSolutionStatusType (int solIdx)
| Get the [i]th optimization solution status type, where i equals the given solution index.
std::string | getSolutionStatusDescription (int solIdx)
| Get the [i]th optimization solution status description, where i equals the given solution index.
std::string | getSolutionMessage (int solIdx)
| Get the [i]th optimization solution message, where i equals the given solution index.
int | getVariableNumber ()
| Get variable number.
int | getObjectiveNumber ()
| Get objective number.
int | getConstraintNumber ()
| Get constraint number.
int | getSolutionNumber ()
| get the number of solutions.
int | getNumberOfOtherVariableResults (int solIdx)
| Get numberOfOtherVariableResult.
bool | setGeneralStatus (GeneralStatus *status)
| Set the general status.
bool | setGeneralStatusType (std::string type)
| Set the general status type, which can be: success, error, warning.
bool | setGeneralStatusDescription (std::string description)
| Set the general status description.
bool | setGeneralMessage (std::string message)
| Set the general message.
bool | setServiceName (std::string serviceName)
| Set service name.
bool | setServiceURI (std::string serviceURI)
| Set service uri.
bool | setInstanceName (std::string instanceName)
| Set instance name.
bool | setJobID (std::string jobID)
| Set job id.
bool | setTime (double time)
| Set time.
bool | addTimingInformation (std::string type, std::string category, std::string unit, std::string description, double value)
| Add timing information.
bool | setTimeNumber (int timeNumber)
| Set the number of time measurements.
bool | setVariableNumber (int variableNumber)
| Set the variable number.
bool | setObjectiveNumber (int objectiveNumber)
| Set the objective number.
bool | setConstraintNumber (int constraintNumber)
| Set the constraint number.
bool | setSolutionNumber (int number)
| set the number of solutions.
bool | setSolutionStatus (int solIdx, std::string type, std::string description)
| Set the [i]th optimization solution status, where i equals the given solution index.
bool | setSolutionObjectiveIndex (int solIdx, int objectiveIdx)
| Set the [i]th optimization solution's objective index, where i equals the given solution index.
bool | setNumberOfPrimalVariableValues (int solIdx, int n)
| Set the [i]th optimization solution's number of primal variable values, where i equals the given solution index.
bool | setPrimalVariableValues (int solIdx, double *x, int n)
| Set the [i]th optimization solution's primal variable values, where i equals the given solution index.
bool | setNumberOfOtherVariableResults (int solIdx, int numberOfOtherVariableResults)
| Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.
bool | setAnOtherVariableResult (int solIdx, int otherIdx, std::string name, std::string description, int *indexes, std::string *s, int n)
| Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.
bool | setObjectiveValues (int solIdx, double *objectiveValues, int n)
| Set the [i]th optimization solution's objective values, where i equals the given solution index.
bool | setDualVariableValues (int solIdx, double *lbValues, double *ubValues, int n)
| Set the [i]th optimization solution's dual variable values, where i equals the given solution index.
bool | setDualVariableValues (int solIdx, double *y, int n)
| Set the [i]th optimization solution's dual variable values, where i equals the given solution index.
bool | setConstraintValues (int solIdx, double *constraintValues, int n)
| Set the [i]th optimization solution's constraint values, where i equals the given solution index.
## Public Attributes
GeneralFileHeader * | resultHeader
| header information
GeneralResult * | general
| general holds the first child of the OSResult specified by the OSrL Schema.
SystemResult * | system
| system holds the second child of the OSResult specified by the OSrL Schema.
ServiceResult * | service
| service holds the third child of the OSResult specified by the OSrL Schema.
JobResult * | job
| job holds the fourth child of the OSResult specified by the OSrL Schema.
OptimizationResult * | optimization
| optimization holds the fifth child of the OSResult specified by the OSrL Schema.
int | m_iVariableNumber
| m_iVariableNumber holds the variable number.
int | m_iObjectiveNumber
| m_iObjectiveNumber holds the objective number.
int | m_iConstraintNumber
| m_iConstraintNumber holds the constraint number.
int | m_iNumberOfOtherVariableResults
| m_iNumberOfOtherVariableResults holds the number of OtherVariableResult objects.
double * | m_mdPrimalValues
| m_mdPrimalValues a vector of primal variables.
double * | m_mdDualValues
| m_mdDualValues a vector of dual variables.
std::vector< IndexValuePair * > | primalVals
std::vector< IndexValuePair * > | dualVals
GeneralResult * | general
| general holds the first child of the OSResult specified by the OSrL Schema.
SystemResult * | system
| system holds the second child of the OSResult specified by the OSrL Schema.
ServiceResult * | service
| service holds the third child of the OSResult specified by the OSrL Schema.
JobResult * | job
| job holds the fourth child of the OSResult specified by the OSrL Schema.
OptimizationResult * | optimization
| optimization holds the fifth child of the OSResult specified by the OSrL Schema.
double * | m_mdPrimalValues
| m_mdPrimalValues a vector of primal variables.
double * | m_mdDualValues
| m_mdDualValues a vector of primal variables.

## Detailed Description

The Result Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for holding all the solution information.

Definition at line 2217 of file OSResult.h.

## Constructor & Destructor Documentation

OSResult::OSResult | ( |  | ) |

Default constructor.

Definition at line 1038 of file OSResult.cpp.

OSResult::~OSResult | ( |  | ) |

Class destructor.

Definition at line 1058 of file OSResult.cpp.

References resultHeader.

OSResult::OSResult | ( |  | ) |

Default constructor.

OSResult::~OSResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OSResult::setResultHeader | ( | std::string | name,
|  | std::string | source,
|  | std::string | fileCreator,
|  | std::string | description,
|  | std::string | licence |
| ) |  |  |

A function to populate an instance of the result header element.

Parameters:

  | name,: | the name of this file or instance
  | source,: | the source (e.g., in BiBTeX format)
  | fileCreator,: | the creator of this file
  | description,: | further description about this file and/or its contents
  | licence,: | licence information if applicable

Definition at line 3109 of file OSResult.cpp.

References resultHeader, and GeneralFileHeader::setHeader().

bool OSResult::IsEqual | ( | OSResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5293 of file OSResult.cpp.

Referenced by main().

bool OSResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7252 of file OSResult.cpp.

References resultHeader, and GeneralFileHeader::setRandom().

GeneralStatus * OSResult::getGeneralStatus | ( |  | ) |

Get the general status.

Returns:
  the general status.

Definition at line 1128 of file OSResult.cpp.

string OSResult::getGeneralStatusType | ( |  | ) |

Get the general status type, which can be: success, error, warning.

Returns:
  the general status type, null if none.

Definition at line 1133 of file OSResult.cpp.

Referenced by OSrL2Gams::writeSolution().

string OSResult::getGeneralStatusDescription | ( |  | ) |

Get the general status description.

Returns:
  the general status description, null or empty std::string if none.

Definition at line 1139 of file OSResult.cpp.

int OSResult::getNumberOfGeneralSubstatuses | ( |  | ) |

Get the number of substatuses.

Returns:
  the number of substatuses, -1 if general status does not exist.

Definition at line 1145 of file OSResult.cpp.

string OSResult::getGeneralSubstatusName | ( | int | i | ) |

Get the i_th general substatus name.

Parameters:

  | i | the number of the substatus (must be between 0 and numberOfSubstatuses)

Returns:
  the general substatus name, null if none.

Definition at line 1151 of file OSResult.cpp.

string OSResult::getGeneralSubstatusDescription | ( | int | i | ) |

Get the i_th general substatus description.

Parameters:

  | i | the number of the substatus (must be between 0 and numberOfSubstatuses)

Returns:
  the general substatus description, null or empty std::string if none.

Definition at line 1160 of file OSResult.cpp.

string OSResult::getGeneralMessage | ( |  | ) |

Get the general message.

Returns:
  the general message.

Definition at line 1169 of file OSResult.cpp.

Referenced by OSrL2Gams::writeSolution().

string OSResult::getServiceName | ( |  | ) |

Get service name.

Returns:
  the service name.

Definition at line 1174 of file OSResult.cpp.

string OSResult::getServiceURI | ( |  | ) |

Get service uri.

Returns:
  the service uri.

Definition at line 1179 of file OSResult.cpp.

string OSResult::getInstanceName | ( |  | ) |

Get instance name.

Returns:
  the instance name.

Definition at line 1184 of file OSResult.cpp.

string OSResult::getJobID | ( |  | ) |

Get the job id.

Returns:
  the job id.

Definition at line 1189 of file OSResult.cpp.

string OSResult::getSolverInvoked | ( |  | ) |

Get the solver invoked.

Returns:
  the solver invoked.

Definition at line 1194 of file OSResult.cpp.

string OSResult::getTimeStamp | ( |  | ) |

Get the time stamp.

Returns:
  the time stamp.

Definition at line 1199 of file OSResult.cpp.

int OSResult::getNumberOfOtherGeneralResults | ( |  | ) |

Get the number of other results in the <general> element.

Returns:
  the number of other <general> results.

Definition at line 1204 of file OSResult.cpp.

string OSResult::getOtherGeneralResultName | ( | int | idx | ) |

Get the name of the i-th other result in the <general> element.

Parameters:

  | i | holds the number of the result whose name is saught.

Returns:
  the name of the other <general> result.

Definition at line 1210 of file OSResult.cpp.

string OSResult::getOtherGeneralResultValue | ( | int | idx | ) |

Definition at line 1219 of file OSResult.cpp.

string OSResult::getOtherGeneralResultDescription | ( | int | idx | ) |

Definition at line 1228 of file OSResult.cpp.

string OSResult::getSystemInformation | ( |  | ) |

Definition at line 1237 of file OSResult.cpp.

string OSResult::getAvailableDiskSpaceUnit | ( |  | ) |

Definition at line 1242 of file OSResult.cpp.

string OSResult::getAvailableDiskSpaceDescription | ( |  | ) |

Definition at line 1248 of file OSResult.cpp.

double OSResult::getAvailableDiskSpaceValue | ( |  | ) |

Definition at line 1254 of file OSResult.cpp.

string OSResult::getAvailableMemoryUnit | ( |  | ) |

Definition at line 1260 of file OSResult.cpp.

string OSResult::getAvailableMemoryDescription | ( |  | ) |

Definition at line 1266 of file OSResult.cpp.

double OSResult::getAvailableMemoryValue | ( |  | ) |

Definition at line 1272 of file OSResult.cpp.

string OSResult::getAvailableCPUSpeedUnit | ( |  | ) |

Definition at line 1278 of file OSResult.cpp.

string OSResult::getAvailableCPUSpeedDescription | ( |  | ) |

Definition at line 1284 of file OSResult.cpp.

double OSResult::getAvailableCPUSpeedValue | ( |  | ) |

Definition at line 1290 of file OSResult.cpp.

string OSResult::getAvailableCPUNumberDescription | ( |  | ) |

Definition at line 1296 of file OSResult.cpp.

int OSResult::getAvailableCPUNumberValue | ( |  | ) |

Definition at line 1302 of file OSResult.cpp.

int OSResult::getNumberOfOtherSystemResults | ( |  | ) |

Definition at line 1308 of file OSResult.cpp.

string OSResult::getOtherSystemResultName | ( | int | idx | ) |

Definition at line 1314 of file OSResult.cpp.

string OSResult::getOtherSystemResultValue | ( | int | idx | ) |

Definition at line 1323 of file OSResult.cpp.

string OSResult::getOtherSystemResultDescription | ( | int | idx | ) |

Definition at line 1332 of file OSResult.cpp.

string OSResult::getCurrentState | ( |  | ) |

Definition at line 1341 of file OSResult.cpp.

int OSResult::getCurrentJobCount | ( |  | ) |

Definition at line 1346 of file OSResult.cpp.

int OSResult::getTotalJobsSoFar | ( |  | ) |

Definition at line 1351 of file OSResult.cpp.

string OSResult::getTimeServiceStarted | ( |  | ) |

Definition at line 1356 of file OSResult.cpp.

double OSResult::getServiceUtilization | ( |  | ) |

Definition at line 1361 of file OSResult.cpp.

int OSResult::getNumberOfOtherServiceResults | ( |  | ) |

Definition at line 1366 of file OSResult.cpp.

string OSResult::getOtherServiceResultName | ( | int | idx | ) |

Definition at line 1372 of file OSResult.cpp.

string OSResult::getOtherServiceResultValue | ( | int | idx | ) |

Definition at line 1381 of file OSResult.cpp.

string OSResult::getOtherServiceResultDescription | ( | int | idx | ) |

Definition at line 1390 of file OSResult.cpp.

string OSResult::getJobStatus | ( |  | ) |

Definition at line 1399 of file OSResult.cpp.

string OSResult::getJobSubmitTime | ( |  | ) |

Definition at line 1404 of file OSResult.cpp.

string OSResult::getScheduledStartTime | ( |  | ) |

Definition at line 1409 of file OSResult.cpp.

string OSResult::getActualStartTime | ( |  | ) |

Definition at line 1414 of file OSResult.cpp.

string OSResult::getJobEndTime | ( |  | ) |

Definition at line 1419 of file OSResult.cpp.

int OSResult::getTimeNumber | ( |  | ) |

Get the number of time measurements.

Returns:
  the number of time measurements

Definition at line 1581 of file OSResult.cpp.

References job, TimingInformation::numberOfTimes, and JobResult::timingInformation.

double OSResult::getTimeValue | ( |  | ) |

Get the time measurement.

In the first instance, assume that there is only a single measure, which is the total elapsed time in seconds

Returns:
  the time measurement

Definition at line 1574 of file OSResult.cpp.

References job, TimingInformation::numberOfTimes, TimingInformation::time, JobResult::timingInformation, and TimeSpan::value.

int OSResult::getNumberOfTimes | ( |  | ) |

Definition at line 1424 of file OSResult.cpp.

string OSResult::getTimingInfoUnit | ( | int | idx | ) |

Definition at line 1430 of file OSResult.cpp.

string OSResult::getTimingInfoType | ( | int | idx | ) |

Definition at line 1439 of file OSResult.cpp.

string OSResult::getTimingInfoCategory | ( | int | idx | ) |

Definition at line 1448 of file OSResult.cpp.

string OSResult::getTimingInfoDescription | ( | int | idx | ) |

Definition at line 1457 of file OSResult.cpp.

double OSResult::getTimingInfoValue | ( | int | idx | ) |

Definition at line 1466 of file OSResult.cpp.

string OSResult::getUsedDiskSpaceUnit | ( |  | ) |

Definition at line 1475 of file OSResult.cpp.

string OSResult::getUsedDiskSpaceDescription | ( |  | ) |

Definition at line 1481 of file OSResult.cpp.

double OSResult::getUsedDiskSpaceValue | ( |  | ) |

Definition at line 1487 of file OSResult.cpp.

string OSResult::getUsedMemoryUnit | ( |  | ) |

Definition at line 1493 of file OSResult.cpp.

string OSResult::getUsedMemoryDescription | ( |  | ) |

Definition at line 1499 of file OSResult.cpp.

double OSResult::getUsedMemoryValue | ( |  | ) |

Definition at line 1505 of file OSResult.cpp.

string OSResult::getUsedCPUSpeedUnit | ( |  | ) |

Definition at line 1511 of file OSResult.cpp.

string OSResult::getUsedCPUSpeedDescription | ( |  | ) |

Definition at line 1517 of file OSResult.cpp.

double OSResult::getUsedCPUSpeedValue | ( |  | ) |

Definition at line 1523 of file OSResult.cpp.

string OSResult::getUsedCPUNumberDescription | ( |  | ) |

Definition at line 1529 of file OSResult.cpp.

int OSResult::getUsedCPUNumberValue | ( |  | ) |

Definition at line 1535 of file OSResult.cpp.

int OSResult::getNumberOfOtherJobResults | ( |  | ) |

Definition at line 1541 of file OSResult.cpp.

string OSResult::getOtherJobResultName | ( | int | idx | ) |

Definition at line 1547 of file OSResult.cpp.

string OSResult::getOtherJobResultValue | ( | int | idx | ) |

Definition at line 1556 of file OSResult.cpp.

string OSResult::getOtherJobResultDescription | ( | int | idx | ) |

Definition at line 1565 of file OSResult.cpp.

int OSResult::getVariableNumber | ( |  | ) |

Get variable number.

Returns:
  variable number, -1 if no information.

Definition at line 1588 of file OSResult.cpp.

References m_iVariableNumber, OptimizationResult::numberOfVariables, and optimization.

Referenced by main(), and OSrL2Gams::writeSolution().

int OSResult::getObjectiveNumber | ( |  | ) |

Get objective number.

Returns:
  objective number, -1 if no information.

Definition at line 1596 of file OSResult.cpp.

References m_iObjectiveNumber, OptimizationResult::numberOfObjectives, and optimization.

int OSResult::getConstraintNumber | ( |  | ) |

Get constraint number.

Returns:
  constraint number, -1 if no information.

Definition at line 1604 of file OSResult.cpp.

References m_iConstraintNumber, OptimizationResult::numberOfConstraints, and optimization.

Referenced by main(), and OSrL2Gams::writeSolution().

int OSResult::getSolutionNumber | ( |  | ) |

get the number of solutions.

Returns:
  the number of solutions, 0 if none.

Definition at line 1612 of file OSResult.cpp.

Referenced by getOptimalObjValue(), setConstraintValues(), setDualVariableValues(), setObjectiveValues(), setPrimalVariableValues(), setSolutionObjectiveIndex(), and OSrL2Gams::writeSolution().

OptimizationSolutionStatus * OSResult::getSolutionStatus | ( | int | solIdx | ) |

Get the [i]th optimization solution status, where i equals the given solution index.

The solution status includes the status type, optional descriptions and possibly substatuses.

Parameters:

  | solIdx | holds the solution index to get the solution status.

Returns:
  the optimization solution status that corresponds to solIdx, null if none.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OptimizationSolutionStatus

Definition at line 1619 of file OSResult.cpp.

string OSResult::getSolutionStatusType | ( | int | solIdx | ) |

Get the [i]th optimization solution status type, where i equals the given solution index.

The solution status type can be: unbounded, globallyOptimal, locallyOptimal, optimal, bestSoFar, feasible, infeasible, stoppedByLimit, unsure, error, other

Parameters:

  | solIdx | holds the solution index to get the solution status type.

Returns:
  the optimization solution status type that corresponds to solIdx, null or empty std::string if none.

Definition at line 1628 of file OSResult.cpp.

Referenced by getOSResult(), main(), OSDipBlockCoinSolver::solve(), OSColGenApp::solveRestrictedMasterRelaxation(), and OSrL2Gams::writeSolution().

string OSResult::getSolutionStatusDescription | ( | int | solIdx | ) |

Get the [i]th optimization solution status description, where i equals the given solution index.

Parameters:

  | solIdx | holds the solution index to get the solution status description.

Returns:
  the optimization solution status description that corresponds to solIdx, null or empty std::string if none.

Definition at line 1638 of file OSResult.cpp.

Referenced by getOSResult().

int OSResult::getNumberOfSolutionSubstatuses | ( | int | solIdx | ) |

Definition at line 1648 of file OSResult.cpp.

string OSResult::getSolutionSubstatusType | ( | int | solIdx,
|  | int | substatusIdx |
| ) |  |  |

Definition at line 1658 of file OSResult.cpp.

string OSResult::getSolutionSubstatusDescription | ( | int | solIdx,
|  | int | substatusIdx |
| ) |  |  |

Definition at line 1670 of file OSResult.cpp.

int OSResult::getSolutionTargetObjectiveIdx | ( | int | solIdx | ) |

Definition at line 1682 of file OSResult.cpp.

bool OSResult::getSolutionWeightedObjectives | ( | int | solIdx | ) |

Get the [i]th optimization solution form of the objective.

Parameters:

  | solIdx | holds the solution index to get the solution status description.

Returns:
  whether weighting is applied to the objective.

Definition at line 1691 of file OSResult.cpp.

string OSResult::getSolutionMessage | ( | int | solIdx | ) |

Get the [i]th optimization solution message, where i equals the given solution index.

Parameters:

  | solIdx | holds the solution index to get the solution message.

Returns:
  the optimization solution message that corresponds to solIdx, null or empty if none.

Definition at line 1700 of file OSResult.cpp.

int OSResult::getNumberOfPrimalVariableValues | ( | int | solIdx | ) |

Definition at line 1708 of file OSResult.cpp.

int OSResult::getNumberOfVarValues | ( | int | solIdx | ) |

Definition at line 1719 of file OSResult.cpp.

int OSResult::getVarValueIdx | ( | int | solIdx,
|  | int | varIdx |
| ) |  |  |

Definition at line 1730 of file OSResult.cpp.

double OSResult::getVarValue | ( | int | solIdx,
|  | int | varIdx |
| ) |  |  |

Definition at line 1743 of file OSResult.cpp.

double * OSResult::getOptimalPrimalVariableValues | ( | int | solIdx | ) |

Get one solution of optimal primal variable values.

Parameters:

  | solIdx | holds the solution index the optimal solution corresponds to.

Returns:
  a vector of variable indexes and values, an empty vector if no optimal value.

Definition at line 1756 of file OSResult.cpp.

Referenced by OS_DipInterface::generateInitialMaster(), getOSResult(), main(), and OSDipBlockCoinSolver::solve().

int OSResult::getNumberOfVarValuesString | ( | int | solIdx | ) |

Definition at line 1783 of file OSResult.cpp.

int OSResult::getVarValueStringIdx | ( | int | solIdx,
|  | int | varIdx |
| ) |  |  |

Definition at line 1794 of file OSResult.cpp.

std::string OSResult::getVarValueString | ( | int | solIdx,
|  | int | varIdx |
| ) |  |  |

Definition at line 1807 of file OSResult.cpp.

int OSResult::getBasisStatusNumberOfEl | ( | int | solIdx,
|  | int | object,
|  | int | status |
| ) |  |  |

Get the number of indices that belong to a particular basis status.

Parameters:

  | solIdx | holds the solution index for the current solution
  | object | describes the kind of indices to be retrieved (legal values are described in ENUM_BASIS_STATUS --- see OSGeneral.h)
  | status | gives the basis status type

Definition at line 1820 of file OSResult.cpp.

References ConstraintSolution::basisStatus, ObjectiveSolution::basisStatus, VariableSolution::basisStatus, OptimizationSolution::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, BasisStatus::getNumberOfEl(), OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, OptimizationResult::solution, and OptimizationSolution::variables.

int OSResult::getBasisStatusEl | ( | int | solIdx,
|  | int | object,
|  | int | status,
|  | int | j |
| ) |  |  |

Get an entry in the array of indices that belong to a particular basis status.

Parameters:

  | solIdx | holds the solution index for the current solution
  | object | describes the kind of indices to be retrieved (legal values are described in ENUM_BASIS_STATUS --- see OSGeneral.h)
  | status | gives the basis status (basic, atLower, atUpper, etc.)
  | j | is the (zero-based) position of the desired entry within the index array

Definition at line 1853 of file OSResult.cpp.

References ConstraintSolution::basisStatus, ObjectiveSolution::basisStatus, VariableSolution::basisStatus, OptimizationSolution::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, BasisStatus::getEl(), OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, OptimizationResult::solution, and OptimizationSolution::variables.

int OSResult::getNumberOfOtherVariableResults | ( | int | solIdx | ) |

Get numberOfOtherVariableResult.

Returns:
  numberOfOtherVariableResult, -1 if no information.

Definition at line 1932 of file OSResult.cpp.

References m_iNumberOfOtherVariableResults, VariableSolution::numberOfOtherVariableResults, OptimizationResult::numberOfSolutions, optimization, VariableSolution::other, OptimizationResult::solution, and OptimizationSolution::variables.

int OSResult::getAnOtherVariableResultNumberOfVar | ( | int | solIdx,
|  | int | iOther |
| ) |  |  |

Get getAnOtherVariableResultNumberOfVar.

Returns:
  the number of variables in the i'th other variable result, -1 if no information.

Definition at line 1946 of file OSResult.cpp.

string OSResult::getOtherVariableResultName | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 1960 of file OSResult.cpp.

string OSResult::getOtherVariableResultValue | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 1975 of file OSResult.cpp.

string OSResult::getOtherVariableResultDescription | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 1990 of file OSResult.cpp.

int OSResult::getOtherVariableResultNumberOfVar | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2005 of file OSResult.cpp.

int OSResult::getOtherVariableResultNumberOfEnumerations | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2057 of file OSResult.cpp.

int OSResult::getOtherVariableResultVarIdx | ( | int | solIdx,
|  | int | otherIdx,
|  | int | varIdx |
| ) |  |  |

Definition at line 2020 of file OSResult.cpp.

string OSResult::getOtherVariableResultVar | ( | int | solIdx,
|  | int | otherIdx,
|  | int | varIdx |
| ) |  |  |

Definition at line 2038 of file OSResult.cpp.

std::string OSResult::getOtherVariableResultEnumerationValue | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the value of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the value

Definition at line 2073 of file OSResult.cpp.

References OtherVariableResult::enumeration, OtherVariableResult::numberOfEnumerations, VariableSolution::numberOfOtherVariableResults, OptimizationResult::numberOfSolutions, optimization, VariableSolution::other, OptimizationResult::solution, OtherOptionEnumeration::value, and OptimizationSolution::variables.

std::string OSResult::getOtherVariableResultEnumerationDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the description of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the description

Definition at line 2100 of file OSResult.cpp.

References OtherOptionEnumeration::description, OtherVariableResult::enumeration, OtherVariableResult::numberOfEnumerations, VariableSolution::numberOfOtherVariableResults, OptimizationResult::numberOfSolutions, optimization, VariableSolution::other, OptimizationResult::solution, and OptimizationSolution::variables.

int OSResult::getOtherVariableResultEnumerationNumberOfEl | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the size of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the number of indices that assume this level

Definition at line 2127 of file OSResult.cpp.

References OtherVariableResult::enumeration, IntVector::numberOfEl, OtherVariableResult::numberOfEnumerations, VariableSolution::numberOfOtherVariableResults, OptimizationResult::numberOfSolutions, optimization, VariableSolution::other, OptimizationResult::solution, and OptimizationSolution::variables.

int OSResult::getOtherVariableResultEnumerationEl | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx,
|  | int | j |
| ) |  |  |

Get one index of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result
  | enumIdx | is the index of the current enumeration level
  | j | jis the (zero-based) position of the index within the index array

Returns:
  the array of indices

Definition at line 2154 of file OSResult.cpp.

References OtherVariableResult::enumeration, IntVector::getEl(), OtherVariableResult::numberOfEnumerations, VariableSolution::numberOfOtherVariableResults, OptimizationResult::numberOfSolutions, optimization, VariableSolution::other, OptimizationResult::solution, and OptimizationSolution::variables.

int OSResult::getNumberOfObjValues | ( | int | solIdx | ) |

Definition at line 2370 of file OSResult.cpp.

int OSResult::getObjValueIdx | ( | int | solIdx,
|  | int | objIdx |
| ) |  |  |

Definition at line 2382 of file OSResult.cpp.

double OSResult::getObjValue | ( | int | solIdx,
|  | int | objIdx |
| ) |  |  |

Definition at line 2396 of file OSResult.cpp.

double OSResult::getOptimalObjValue | ( | int | objIdx,
|  | int | solIdx |
| ) |  |  |

Get one solution's optimal objective value.

Parameters:

  | objIdx | holds the objective index the optimal value corresponds to.
  | solIdx | holds the solution index the optimal value corresponds to.

Returns:
  a double with the optimal objective function value.

Definition at line 2410 of file OSResult.cpp.

References getSolutionNumber().

Referenced by getOSResult(), main(), and OSDipBlockCoinSolver::solve().

int OSResult::getNumberOfOtherObjectiveResults | ( | int | solIdx | ) |

Definition at line 2429 of file OSResult.cpp.

string OSResult::getOtherObjectiveResultName | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2441 of file OSResult.cpp.

string OSResult::getOtherObjectiveResultValue | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2456 of file OSResult.cpp.

string OSResult::getOtherObjectiveResultDescription | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2471 of file OSResult.cpp.

int OSResult::getOtherObjectiveResultNumberOfObj | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2486 of file OSResult.cpp.

int OSResult::getOtherObjectiveResultNumberOfEnumerations | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2538 of file OSResult.cpp.

int OSResult::getOtherObjectiveResultObjIdx | ( | int | solIdx,
|  | int | otherIdx,
|  | int | objIdx |
| ) |  |  |

Definition at line 2501 of file OSResult.cpp.

string OSResult::getOtherObjectiveResultObj | ( | int | solIdx,
|  | int | otherIdx,
|  | int | objIdx |
| ) |  |  |

Definition at line 2519 of file OSResult.cpp.

std::string OSResult::getOtherObjectiveResultEnumerationValue | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the value of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the value

Definition at line 2554 of file OSResult.cpp.

References OtherObjectiveResult::enumeration, OtherObjectiveResult::numberOfEnumerations, ObjectiveSolution::numberOfOtherObjectiveResults, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, ObjectiveSolution::other, OptimizationResult::solution, and OtherOptionEnumeration::value.

std::string OSResult::getOtherObjectiveResultEnumerationDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the description of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the description

Definition at line 2582 of file OSResult.cpp.

References OtherOptionEnumeration::description, OtherObjectiveResult::enumeration, OtherObjectiveResult::numberOfEnumerations, ObjectiveSolution::numberOfOtherObjectiveResults, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, ObjectiveSolution::other, and OptimizationResult::solution.

int OSResult::getOtherObjectiveResultEnumerationNumberOfEl | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the size of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the number of indices that assume this level

Definition at line 2610 of file OSResult.cpp.

References OtherObjectiveResult::enumeration, IntVector::numberOfEl, OtherObjectiveResult::numberOfEnumerations, ObjectiveSolution::numberOfOtherObjectiveResults, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, ObjectiveSolution::other, and OptimizationResult::solution.

int OSResult::getOtherObjectiveResultEnumerationEl | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx,
|  | int | j |
| ) |  |  |

Get one index of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level
  | j | is the (zero-based) position of the index in the array

Returns:
  the array of indices

Definition at line 2638 of file OSResult.cpp.

References OtherObjectiveResult::enumeration, IntVector::getEl(), OtherObjectiveResult::numberOfEnumerations, ObjectiveSolution::numberOfOtherObjectiveResults, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, ObjectiveSolution::other, and OptimizationResult::solution.

int OSResult::getNumberOfDualValues | ( | int | solIdx | ) |

Definition at line 2667 of file OSResult.cpp.

int OSResult::getDualValueIdx | ( | int | solIdx,
|  | int | conIdx |
| ) |  |  |

Definition at line 2679 of file OSResult.cpp.

double OSResult::getDualValue | ( | int | solIdx,
|  | int | conIdx |
| ) |  |  |

Definition at line 2693 of file OSResult.cpp.

double * OSResult::getOptimalDualVariableValues | ( | int | solIdx | ) |

Get one solution of optimal dual variable values.

Parameters:

  | solIdx | holds the solution index the optimal solution corresponds to.

Returns:
  a vector of variable indexes and values, an empty vector if no optimal value.

Definition at line 2707 of file OSResult.cpp.

Referenced by main().

int OSResult::getNumberOfOtherConstraintResults | ( | int | solIdx | ) |

Definition at line 2734 of file OSResult.cpp.

string OSResult::getOtherConstraintResultName | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2746 of file OSResult.cpp.

string OSResult::getOtherConstraintResultValue | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2761 of file OSResult.cpp.

string OSResult::getOtherConstraintResultDescription | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2776 of file OSResult.cpp.

int OSResult::getOtherConstraintResultNumberOfCon | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2791 of file OSResult.cpp.

int OSResult::getOtherConstraintResultNumberOfEnumerations | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2843 of file OSResult.cpp.

int OSResult::getOtherConstraintResultConIdx | ( | int | solIdx,
|  | int | otherIdx,
|  | int | conIdx |
| ) |  |  |

Definition at line 2806 of file OSResult.cpp.

string OSResult::getOtherConstraintResultCon | ( | int | solIdx,
|  | int | otherIdx,
|  | int | conIdx |
| ) |  |  |

Definition at line 2824 of file OSResult.cpp.

std::string OSResult::getOtherConstraintResultEnumerationValue | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the value of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the value

Definition at line 2859 of file OSResult.cpp.

References OptimizationSolution::constraints, OtherConstraintResult::enumeration, OtherConstraintResult::numberOfEnumerations, ConstraintSolution::numberOfOtherConstraintResults, OptimizationResult::numberOfSolutions, optimization, ConstraintSolution::other, OptimizationResult::solution, and OtherOptionEnumeration::value.

std::string OSResult::getOtherConstraintResultEnumerationDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the description of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the description

Definition at line 2887 of file OSResult.cpp.

References OptimizationSolution::constraints, OtherOptionEnumeration::description, OtherConstraintResult::enumeration, OtherConstraintResult::numberOfEnumerations, ConstraintSolution::numberOfOtherConstraintResults, OptimizationResult::numberOfSolutions, optimization, ConstraintSolution::other, and OptimizationResult::solution.

int OSResult::getOtherConstraintResultEnumerationNumberOfEl | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx |
| ) |  |  |

Get the size of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level

Returns:
  the number of indices that assume this level

Definition at line 2914 of file OSResult.cpp.

References OptimizationSolution::constraints, OtherConstraintResult::enumeration, IntVector::numberOfEl, OtherConstraintResult::numberOfEnumerations, ConstraintSolution::numberOfOtherConstraintResults, OptimizationResult::numberOfSolutions, optimization, ConstraintSolution::other, and OptimizationResult::solution.

int OSResult::getOtherConstraintResultEnumerationEl | ( | int | solIdx,
|  | int | otherIdx,
|  | int | enumIdx,
|  | int | j |
| ) |  |  |

Get one index of an enum associated with an <other> result for some solution.

Parameters:

  | solIdx | is the solution index
  | otherIndex | is the index of the current <other> result is the index of the current enumeration level
  | j | is the (zeo-based) position of the entry in the array

Returns:
  the array of indices

Definition at line 2941 of file OSResult.cpp.

References OptimizationSolution::constraints, OtherConstraintResult::enumeration, IntVector::getEl(), OtherConstraintResult::numberOfEnumerations, ConstraintSolution::numberOfOtherConstraintResults, OptimizationResult::numberOfSolutions, optimization, ConstraintSolution::other, and OptimizationResult::solution.

int OSResult::getNumberOfOtherSolutionResults | ( | int | solIdx | ) |

Definition at line 2970 of file OSResult.cpp.

string OSResult::getOtherSolutionResultName | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2981 of file OSResult.cpp.

string OSResult::getOtherSolutionResultCategory | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 2995 of file OSResult.cpp.

string OSResult::getOtherSolutionResultDescription | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 3009 of file OSResult.cpp.

int OSResult::getOtherSolutionResultNumberOfItems | ( | int | solIdx,
|  | int | otherIdx |
| ) |  |  |

Definition at line 3023 of file OSResult.cpp.

string OSResult::getOtherSolutionResultItem | ( | int | solIdx,
|  | int | otherIdx,
|  | int | itemIdx |
| ) |  |  |

Definition at line 3037 of file OSResult.cpp.

int OSResult::getNumberOfSolverOutputs | ( |  | ) |

Definition at line 3054 of file OSResult.cpp.

string OSResult::getSolverOutputName | ( | int | otherIdx | ) |

Definition at line 3059 of file OSResult.cpp.

string OSResult::getSolverOutputCategory | ( | int | otherIdx | ) |

Definition at line 3068 of file OSResult.cpp.

string OSResult::getSolverOutputDescription | ( | int | otherIdx | ) |

Definition at line 3077 of file OSResult.cpp.

int OSResult::getSolverOutputNumberOfItems | ( | int | otherIdx | ) |

Definition at line 3086 of file OSResult.cpp.

string OSResult::getSolverOutputItem | ( | int | otherIdx,
|  | int | itemIdx |
| ) |  |  |

Definition at line 3095 of file OSResult.cpp.

bool OSResult::setGeneralStatus | ( | GeneralStatus * | status | ) |

Set the general status.

Parameters:

  | status | holds the general status.

Returns:
  whether the general status is set successfully.

Definition at line 3117 of file OSResult.cpp.

References general, and GeneralResult::generalStatus.

bool OSResult::setGeneralStatusType | ( | std::string | type | ) |

Set the general status type, which can be: success, error, warning.

Parameters:

  | type | holds the general status type

Returns:
  whether the general status type is set successfully or not.

Referenced by LindoSolver::buildSolverInstance(), KnitroSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), IpoptProblem::finalize_solution(), LindoSolver::generateLindoModel(), CoinSolver::getCoinSolverType(), getJobID(), kill(), knock(), main(), LindoSolver::optimize(), LindoSolver::processConstraints(), LindoSolver::processNonlinearExpressions(), LindoSolver::processQuadraticTerms(), LindoSolver::processVariables(), retrieve(), send(), CoinSolver::setCoinPackedMatrix(), LindoSolver::setSolverOptions(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), BonminSolver::setSolverOptions(), solve(), LindoSolver::solve(), KnitroSolver::solve(), IpoptSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setNumberOfGeneralSubstatuses | ( | int | num | ) |

Set the number of substatus elements.

Parameters:

  | num | holds the number of substatuses (a nonegative integer)

Returns:
  whether the number of substatuses is set successfully or not.

Definition at line 3142 of file OSResult.cpp.

References general, GeneralResult::generalStatus, GeneralStatus::numberOfSubstatuses, and GeneralStatus::substatus.

bool OSResult::setGeneralStatusDescription | ( | std::string | description | ) |

Set the general status description.

Parameters:

  | description | holds the general status description.

Returns:
  whether the general status description is set successfully or not.

bool OSResult::setGeneralSubstatusName | ( | int | idx,
|  | std::string | name |
| ) |  |  |

Set the general substatus name.

Parameters:

  | name | holds the general substatus name
  | idx | holds the index of the substatus in the array

Returns:
  whether the general substatus name is set successfully or not.

bool OSResult::setGeneralSubstatusDescription | ( | int | idx,
|  | std::string | description |
| ) |  |  |

Set the general substatus description.

Parameters:

  | description | holds the general substatus description.
  | idx | holds the index of the substatus in the array

Returns:
  whether the general status description is set successfully or not.

bool OSResult::setGeneralMessage | ( | std::string | message | ) |

Set the general message.

Parameters:

  | message | holds the general message.

Returns:
  whether process message is set successfully.

Referenced by LindoSolver::buildSolverInstance(), KnitroSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), IpoptProblem::finalize_solution(), LindoSolver::generateLindoModel(), CoinSolver::getCoinSolverType(), getJobID(), kill(), knock(), main(), LindoSolver::optimize(), LindoSolver::processConstraints(), LindoSolver::processNonlinearExpressions(), LindoSolver::processQuadraticTerms(), LindoSolver::processVariables(), retrieve(), send(), CoinSolver::setCoinPackedMatrix(), LindoSolver::setSolverOptions(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), BonminSolver::setSolverOptions(), solve(), LindoSolver::solve(), KnitroSolver::solve(), IpoptSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setServiceName | ( | std::string | serviceName | ) |

Set service name.

Parameters:

  | serviceName | holds the name of the service.

Returns:
  whether the service name is set successfully.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setServiceURI | ( | std::string | serviceURI | ) |

Set service uri.

Parameters:

  | serviceURI | holds the uri of the service.

Returns:
  whether the service uri is set successfully.

bool OSResult::setInstanceName | ( | std::string | instanceName | ) |

Set instance name.

Parameters:

  | instanceName | holds the name of the instance.

Returns:
  whether the instance name is set successfully.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setJobID | ( | std::string | jobID | ) |

Set job id.

Parameters:

  | jobID | holds the job id.

Returns:
  whether the job id is set successfully.

bool OSResult::setSolverInvoked | ( | std::string | solverInvoked | ) |

Set solver invoked.

Parameters:

  | solverInvoked | holds the solver invoked.

Returns:
  whether the solver invoked is set successfully.

Referenced by IpoptProblem::finalize_solution(), LindoSolver::optimize(), CoinSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setTimeStamp | ( | std::string | timeStamp | ) |

Set time stamp.

Parameters:

  | time | holds the time stamp.

Returns:
  whether the time stamp is set successfully.

bool OSResult::setNumberOfOtherGeneralResults | ( | int | num | ) |

Set number of other general results.

Parameters:

  | num | holds the number of other general results.

Returns:
  whether the number was set successfully.

Definition at line 3225 of file OSResult.cpp.

References general, OtherResults::numberOfOtherResults, OtherResults::other, and GeneralResult::otherResults.

bool OSResult::setOtherGeneralResultName | ( | int | idx,
|  | std::string | name |
| ) |  |  |

Set the general otherResult name.

Parameters:

  | name | holds the general otherResult name
  | idx | holds the index of the otherResult in the array

Returns:
  whether the general otherResult name is set successfully or not.

bool OSResult::setOtherGeneralResultValue | ( | int | idx,
|  | std::string | value |
| ) |  |  |

Set the general otherResult value.

Parameters:

  | name | holds the general otherResult value
  | idx | holds the index of the otherResult in the array

Returns:
  whether the general otherResult value is set successfully or not.

bool OSResult::setOtherGeneralResultDescription | ( | int | idx,
|  | std::string | description |
| ) |  |  |

Set the general otherResult description.

Parameters:

  | name | holds the general otherResult description
  | idx | holds the index of the otherResult in the array

Returns:
  whether the general otherResult description is set successfully or not.

bool OSResult::setSystemInformation | ( | std::string | systemInformation | ) |

Set the system information.

Parameters:

  | systemInformation | holds the system information

Returns:
  whether the system information was set successfully or not.

bool OSResult::setAvailableDiskSpaceUnit | ( | std::string | unit | ) |

Set the unit in which available disk space is measured.

Parameters:

  | unit | holds unit (byte, kilobyte, megabtye, gigabyte, terabyte, petabyte)

Returns:
  whether the system information was set successfully or not.

Definition at line 3278 of file OSResult.cpp.

References SystemResult::availableDiskSpace, system, StorageCapacity::unit, and verifyStorageUnit().

bool OSResult::setAvailableDiskSpaceDescription | ( | std::string | description | ) |

Set the description of available disk space.

Parameters:

  | description | holds further information about available disk space

Returns:
  whether the system information was set successfully or not.

Definition at line 3287 of file OSResult.cpp.

References SystemResult::availableDiskSpace, StorageCapacity::description, and system.

bool OSResult::setAvailableDiskSpaceValue | ( | double | value | ) |

Set the amount of available disk space.

Parameters:

  | value | holds the number of disk space units

Returns:
  whether the system information was set successfully or not.

Definition at line 3295 of file OSResult.cpp.

References SystemResult::availableDiskSpace, system, and StorageCapacity::value.

bool OSResult::setAvailableMemoryUnit | ( | std::string | unit | ) |

Set the unit in which available memory is measured.

Parameters:

  | unit | holds unit (byte, kilobyte, megabtye, gigabyte, terabyte)

Returns:
  whether the system information was set successfully or not.

Definition at line 3303 of file OSResult.cpp.

References SystemResult::availableMemory, system, StorageCapacity::unit, and verifyStorageUnit().

bool OSResult::setAvailableMemoryDescription | ( | std::string | description | ) |

Set the description of available memory.

Parameters:

  | description | holds further information about available memory

Returns:
  whether the system information was set successfully or not.

Definition at line 3312 of file OSResult.cpp.

References SystemResult::availableMemory, StorageCapacity::description, and system.

bool OSResult::setAvailableMemoryValue | ( | double | value | ) |

Set the amount of available memory.

Parameters:

  | value | holds the number of memory units

Returns:
  whether the system information was set successfully or not.

Definition at line 3320 of file OSResult.cpp.

References SystemResult::availableMemory, system, and StorageCapacity::value.

bool OSResult::setAvailableCPUSpeedUnit | ( | std::string | unit | ) |

Set the unit in which available CPU speed is measured.

Parameters:

  | unit | holds unit

Returns:
  whether the system information was set successfully or not.

Definition at line 3328 of file OSResult.cpp.

References SystemResult::availableCPUSpeed, system, CPUSpeed::unit, and verifyCPUSpeedUnit().

bool OSResult::setAvailableCPUSpeedDescription | ( | std::string | description | ) |

Set the description of available CPU speed.

Parameters:

  | description | holds further information about the CPU speed

Returns:
  whether the system information was set successfully or not.

Definition at line 3337 of file OSResult.cpp.

References SystemResult::availableCPUSpeed, CPUSpeed::description, and system.

bool OSResult::setAvailableCPUSpeedValue | ( | double | value | ) |

Set the available CPU speed.

Parameters:

  | value | holds the available CPU speed

Returns:
  whether the system information was set successfully or not.

Definition at line 3345 of file OSResult.cpp.

References SystemResult::availableCPUSpeed, system, and CPUSpeed::value.

bool OSResult::setAvailableCPUNumberDescription | ( | std::string | description | ) |

Set the description of available number of CPUs.

Parameters:

  | description | is used to impart further info about the CPUs

Returns:
  whether the system information was set successfully or not.

Definition at line 3353 of file OSResult.cpp.

References SystemResult::availableCPUNumber, CPUNumber::description, and system.

bool OSResult::setAvailableCPUNumberValue | ( | int | value | ) |

Set the available number of CPUs.

Parameters:

  | value | holds the available number of CPUs

Returns:
  whether the system information was set successfully or not.

Definition at line 3361 of file OSResult.cpp.

References SystemResult::availableCPUNumber, system, and CPUNumber::value.

bool OSResult::setNumberOfOtherSystemResults | ( | int | num | ) |

Set number of other system results.

Parameters:

  | num | holds the number of other system results.

Returns:
  whether the number was set successfully.

Definition at line 3369 of file OSResult.cpp.

References OtherResults::numberOfOtherResults, OtherResults::other, SystemResult::otherResults, and system.

bool OSResult::setOtherSystemResultName | ( | int | idx,
|  | std::string | name |
| ) |  |  |

Set the system otherResult name.

Parameters:

  | name | holds the system otherResult name
  | idx | holds the index of the otherResult in the array

Returns:
  whether the system otherResult name is set successfully or not.

bool OSResult::setOtherSystemResultValue | ( | int | idx,
|  | std::string | value |
| ) |  |  |

Set the system otherResult value.

Parameters:

  | name | holds the system otherResult value
  | idx | holds the index of the otherResult in the array

Returns:
  whether the system otherResult value is set successfully or not.

bool OSResult::setOtherSystemResultDescription | ( | int | idx,
|  | std::string | description |
| ) |  |  |

Set the system otherResult description.

Parameters:

  | name | holds the system otherResult description
  | idx | holds the index of the otherResult in the array

Returns:
  whether the system otherResult description is set successfully or not.

bool OSResult::setCurrentState | ( | std::string | currentState | ) |

Set the current state of the service.

Parameters:

  | currentState | holds the current state

Returns:
  whether the service information was set successfully or not.

Definition at line 3415 of file OSResult.cpp.

References ServiceResult::currentState, service, and verifySystemCurrentState().

bool OSResult::setCurrentJobCount | ( | int | jobCount | ) |

Set the current job count.

Parameters:

  | jobCount | holds the current job count

Returns:
  whether the service information was set successfully or not.

Definition at line 3424 of file OSResult.cpp.

References ServiceResult::currentJobCount, and service.

bool OSResult::setTotalJobsSoFar | ( | int | number | ) |

Set the total number of jobs so far.

Parameters:

  | number | holds the total number of jobs

Returns:
  whether the service information was set successfully or not.

Definition at line 3431 of file OSResult.cpp.

References service, and ServiceResult::totalJobsSoFar.

bool OSResult::setTimeServiceStarted | ( | std::string | startTime | ) |

Set the time the service was started.

Parameters:

  | startTime | holds the starting time

Returns:
  whether the service information was set successfully or not.

Definition at line 3438 of file OSResult.cpp.

References service, and ServiceResult::timeServiceStarted.

bool OSResult::setServiceUtilization | ( | double | value | ) |

Set the service utilitzation.

Parameters:

  | value | holds the service utilitzation

Returns:
  whether the service information was set successfully or not.

Definition at line 3445 of file OSResult.cpp.

References service, and ServiceResult::serviceUtilization.

bool OSResult::setNumberOfOtherServiceResults | ( | int | num | ) |

Set number of other service results.

Parameters:

  | num | holds the number of other service results.

Returns:
  whether the number was set successfully.

Definition at line 3452 of file OSResult.cpp.

References OtherResults::numberOfOtherResults, OtherResults::other, ServiceResult::otherResults, and service.

bool OSResult::setOtherServiceResultName | ( | int | idx,
|  | std::string | name |
| ) |  |  |

Set the service otherResult name.

Parameters:

  | name | holds the service otherResult name
  | idx | holds the index of the otherResult in the array

Returns:
  whether the service otherResult name is set successfully or not.

bool OSResult::setOtherServiceResultValue | ( | int | idx,
|  | std::string | value |
| ) |  |  |

Set the service otherResult value.

Parameters:

  | name | holds the service otherResult value
  | idx | holds the index of the otherResult in the array

Returns:
  whether the service otherResult value is set successfully or not.

bool OSResult::setOtherServiceResultDescription | ( | int | idx,
|  | std::string | description |
| ) |  |  |

Set the service otherResult description.

Parameters:

  | name | holds the service otherResult description
  | idx | holds the index of the otherResult in the array

Returns:
  whether the service otherResult description is set successfully or not.

bool OSResult::setJobStatus | ( | std::string | status | ) |

Set the job status.

Parameters:

  | status | holds the job status

Returns:
  whether the job status was set successfully or not.

Definition at line 3498 of file OSResult.cpp.

References job, JobResult::status, and verifyJobStatus().

bool OSResult::setJobSubmitTime | ( | std::string | submitTime | ) |

Set the time when the job was submitted.

Parameters:

  | submitTime | holds the time when the job was submitted

Returns:
  whether the information was set successfully or not.

Definition at line 3507 of file OSResult.cpp.

References job, and JobResult::submitTime.

bool OSResult::setScheduledStartTime | ( | std::string | scheduledStartTime | ) |

Set the job's scheduled start time.

Parameters:

  | scheduledStartTime | holds the scheduled start time

Returns:
  whether the information was set successfully or not.

Definition at line 3514 of file OSResult.cpp.

References job, and JobResult::scheduledStartTime.

bool OSResult::setActualStartTime | ( | std::string | actualStartTime | ) |

Set the job's actual start time.

Parameters:

  | actualStartTime | holds the actual start time

Returns:
  whether the information was set successfully or not.

Definition at line 3521 of file OSResult.cpp.

References JobResult::actualStartTime, and job.

bool OSResult::setJobEndTime | ( | std::string | endTime | ) |

Set the time when the job finished.

Parameters:

  | endTime | holds the time when the job finished

Returns:
  whether the information was set successfully or not.

Definition at line 3528 of file OSResult.cpp.

References JobResult::endTime, and job.

bool OSResult::setTime | ( | double | time | ) |

Set time.

Parameters:

  | time | holds the time.

Returns:
  whether the time is set successfully.

Definition at line 3535 of file OSResult.cpp.

References addTimingInformation().

Referenced by LindoSolver::solve(), and CoinSolver::writeResult().

bool OSResult::addTimingInformation | ( | std::string | type,
|  | std::string | category,
|  | std::string | unit,
|  | std::string | description,
|  | double | value |
| ) |  |  |

Add timing information.

Parameters:

  | type | holds the timer type (cpuTime/elapsedTime/other).
  | category | holds the timer category (total/input/preprocessing, etc.)
  | unit | holds the timer unit (tick/milliscond/second/minute/etc.)
  | description | holds further information about the timer.
  | value | holds the time measurement.

Returns:
  whether the time is set successfully.

Definition at line 3540 of file OSResult.cpp.

References TimeMeasurement::category, TimeMeasurement::description, job, TimingInformation::numberOfTimes, TimingInformation::time, JobResult::timingInformation, TimeMeasurement::type, TimeSpan::unit, TimeSpan::value, and verifyTimeUnit().

Referenced by setTime().

bool OSResult::setTimingInformation | ( | int | idx,
|  | std::string | type,
|  | std::string | category,
|  | std::string | unit,
|  | std::string | description,
|  | double | value |
| ) |  |  |

Set timing information.

Parameters:

  | idx | holds the index within the time array of the item to be set
  | type | holds the timer type (cpuTime/elapsedTime/other).
  | category | holds the timer category (total/input/preprocessing, etc.)
  | unit | holds the timer unit (tick/milliscond/second/minute/etc.)
  | description | holds further information about the timer.
  | value | holds the time measurement.

Returns:
  whether the time is set successfully.

Definition at line 3571 of file OSResult.cpp.

References TimeMeasurement::category, TimeMeasurement::description, job, TimingInformation::numberOfTimes, TimingInformation::time, JobResult::timingInformation, TimeMeasurement::type, TimeSpan::unit, TimeSpan::value, verifyTimeCategory(), verifyTimeType(), and verifyTimeUnit().

bool OSResult::setNumberOfTimes | ( | int | numberOfTimes | ) |

Set the number of time measurements and initial the time array.

Parameters:

  | numberOfTimes | holds the number of measurements

Returns:
  whether the function completed successfully or not.

Definition at line 3593 of file OSResult.cpp.

References job, TimingInformation::numberOfTimes, TimingInformation::time, and JobResult::timingInformation.

bool OSResult::setTimeNumber | ( | int | timeNumber | ) |

Set the number of time measurements.

Parameters:

  | timeNumber | holds the number of measurements

Returns:
  whether the time number is set successfully or not.

Definition at line 3608 of file OSResult.cpp.

References job, TimingInformation::numberOfTimes, and JobResult::timingInformation.

bool OSResult::setUsedDiskSpaceUnit | ( | std::string | unit | ) |

Set the unit in which used disk space is measured.

Parameters:

  | unit | holds unit (byte, kilobyte, megabtye, gigabyte, terabyte, petabyte)

Returns:
  whether the information was set successfully or not.

Definition at line 3618 of file OSResult.cpp.

References job, StorageCapacity::unit, JobResult::usedDiskSpace, and verifyStorageUnit().

bool OSResult::setUsedDiskSpaceDescription | ( | std::string | description | ) |

Set the description of used disk space.

Parameters:

  | description | holds further information about used disk space

Returns:
  whether the information was set successfully or not.

Definition at line 3628 of file OSResult.cpp.

References StorageCapacity::description, job, and JobResult::usedDiskSpace.

bool OSResult::setUsedDiskSpaceValue | ( | double | value | ) |

Set the amount of used disk space.

Parameters:

  | value | holds the number of disk space units

Returns:
  whether the information was set successfully or not.

Definition at line 3636 of file OSResult.cpp.

References job, JobResult::usedDiskSpace, and StorageCapacity::value.

bool OSResult::setUsedMemoryUnit | ( | std::string | unit | ) |

Set the unit in which used memory is measured.

Parameters:

  | unit | holds unit (byte, kilobyte, megabtye, gigabyte, terabyte)

Returns:
  whether the information was set successfully or not.

Definition at line 3644 of file OSResult.cpp.

References job, StorageCapacity::unit, JobResult::usedMemory, and verifyStorageUnit().

bool OSResult::setUsedMemoryDescription | ( | std::string | description | ) |

Set the description of used memory.

Parameters:

  | description | holds further information about used memory

Returns:
  whether the information was set successfully or not.

Definition at line 3654 of file OSResult.cpp.

References StorageCapacity::description, job, and JobResult::usedMemory.

bool OSResult::setUsedMemoryValue | ( | double | value | ) |

Set the amount of used memory.

Parameters:

  | value | holds the number of memory units

Returns:
  whether the information was set successfully or not.

Definition at line 3662 of file OSResult.cpp.

References job, JobResult::usedMemory, and StorageCapacity::value.

bool OSResult::setUsedCPUSpeedUnit | ( | std::string | unit | ) |

Set the unit in which used CPU speed is measured.

Parameters:

  | unit | holds unit

Returns:
  whether the information was set successfully or not.

Definition at line 3670 of file OSResult.cpp.

References job, CPUSpeed::unit, JobResult::usedCPUSpeed, and verifyCPUSpeedUnit().

bool OSResult::setUsedCPUSpeedDescription | ( | std::string | description | ) |

Set the description of used CPU speed.

Parameters:

  | description | holds further information about the CPU speed

Returns:
  whether the information was set successfully or not.

Definition at line 3680 of file OSResult.cpp.

References CPUSpeed::description, job, and JobResult::usedCPUSpeed.

bool OSResult::setUsedCPUSpeedValue | ( | double | value | ) |

Set the used CPU speed.

Parameters:

  | value | holds the used CPU speed

Returns:
  whether the information was set successfully or not.

Definition at line 3688 of file OSResult.cpp.

References job, JobResult::usedCPUSpeed, and CPUSpeed::value.

bool OSResult::setUsedCPUNumberDescription | ( | std::string | description | ) |

Set the description of used number of CPUs.

Parameters:

  | description | is used to impart further info about the CPUs

Returns:
  whether the system information was set successfully or not.

Definition at line 3696 of file OSResult.cpp.

References CPUNumber::description, job, and JobResult::usedCPUNumber.

bool OSResult::setUsedCPUNumberValue | ( | int | value | ) |

Set the used number of CPUs.

Parameters:

  | value | holds the used number of CPUs

Returns:
  whether the information was set successfully or not.

Definition at line 3704 of file OSResult.cpp.

References job, JobResult::usedCPUNumber, and CPUNumber::value.

bool OSResult::setNumberOfOtherJobResults | ( | int | num | ) |

Set number of other job results.

Parameters:

  | num | holds the number of other job results.

Returns:
  whether the number was set successfully.

Definition at line 3712 of file OSResult.cpp.

References job, OtherResults::numberOfOtherResults, OtherResults::other, and JobResult::otherResults.

bool OSResult::setOtherJobResultName | ( | int | idx,
|  | std::string | name |
| ) |  |  |

Set the job otherResult name.

Parameters:

  | name | holds the job otherResult name
  | idx | holds the index of the otherResult in the array

Returns:
  whether the job otherResult name is set successfully or not.

bool OSResult::setOtherJobResultValue | ( | int | idx,
|  | std::string | value |
| ) |  |  |

Set the job otherResult value.

Parameters:

  | name | holds the job otherResult value
  | idx | holds the index of the otherResult in the array

Returns:
  whether the job otherResult value is set successfully or not.

bool OSResult::setOtherJobResultDescription | ( | int | idx,
|  | std::string | description |
| ) |  |  |

Set the job otherResult description.

Parameters:

  | name | holds the job otherResult description
  | idx | holds the index of the otherResult in the array

Returns:
  whether the job otherResult description is set successfully or not.

bool OSResult::setVariableNumber | ( | int | variableNumber | ) |

Set the variable number.

Parameters:

  | variableNumber | holds the number of variables

Returns:
  whether the variable number is set successfully or not.

Definition at line 3759 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setObjectiveNumber | ( | int | objectiveNumber | ) |

Set the objective number.

Parameters:

  | objectiveNumber | holds the number of objectives

Returns:
  whether the objective number is set successfully or not.

Definition at line 3767 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setConstraintNumber | ( | int | constraintNumber | ) |

Set the constraint number.

Parameters:

  | constraintNumber | holds the number of constraints

Returns:
  whether the constraint number is set successfully or not.

Definition at line 3775 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setSolutionNumber | ( | int | number | ) |

set the number of solutions.

This method must be called before setting other optimization solution related results. Before this method is called, the setVariableNumber(int), setObjectiveNumber(int), setConstraintNumber(int) methods have to be called first.

Parameters:

  | number | holds the number of solutions to set.

Returns:
  whether the solution number is set successfully.

See also:
  setVariableNumber(int)

  setObjectiveNumber(int)

  setConstraintNumber(int)

Definition at line 3783 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setSolutionStatus | ( | int | solIdx,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

Set the [i]th optimization solution status, where i equals the given solution index.

The solution status includes the status type, optional descriptions and possibly substatuses. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the solution status.
  | status | holds the optimization solution status to set.

Returns:
  whether the optimization solution status is set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OptimizationSolutionStatus

  setSolutionNumber(int)

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setSolutionStatusType | ( | int | solIdx,
|  | std::string | type |
| ) |  |  |

Set the [i]th optimization solution status type.

Parameters:

  | solIdx | holds the solution index whose status to set.
  | type | holds the solution status type

Returns:
  whether the solution status type is set successfully or not.

Definition at line 3813 of file OSResult.cpp.

bool OSResult::setNumberOfSolutionSubstatuses | ( | int | solIdx,
|  | int | num |
| ) |  |  |

Set the [i]th optimization solution's number of substatus elements.

Parameters:

  | solIdx | holds the solution index whose status to set.
  | num | holds the number of substatuses (a nonegative integer)

Returns:
  whether the number of substatuses is set successfully or not.

Definition at line 3846 of file OSResult.cpp.

bool OSResult::setSolutionStatusDescription | ( | int | solIdx,
|  | std::string | description |
| ) |  |  |

Set the [i]th optimization solution status description.

Parameters:

  | solIdx | holds the solution index whose status to set.
  | description | holds the solution status description.

Returns:
  whether the solution status description is set successfully or not.

Definition at line 3830 of file OSResult.cpp.

bool OSResult::setSolutionSubstatusType | ( | int | solIdx,
|  | int | substatusIdx,
|  | std::string | type |
| ) |  |  |

Set the solution substatus type.

Parameters:

  | solIdx | holds the solution index whose status to set.
  | substatusIdx | holds the index of the substatus in the array
  | type | holds the general substatus type

Returns:
  whether the general substatus type is set successfully or not.

Definition at line 3870 of file OSResult.cpp.

bool OSResult::setSolutionSubstatusDescription | ( | int | solIdx,
|  | int | substatusIdx,
|  | std::string | description |
| ) |  |  |

Set the solution substatus description.

Parameters:

  | solIdx | holds the solution index whose status to set.
  | substatusIdx | holds the index of the substatus in the array
  | description | holds the general substatus description.

Returns:
  whether the solution status description is set successfully or not.

Definition at line 3886 of file OSResult.cpp.

bool OSResult::setSolutionTargetObjectiveIdx | ( | int | solIdx,
|  | int | objectiveIdx |
| ) |  |  |

Set the [i]th optimization solution's objective index, where i equals the given solution index.

The first objective's index should be -1, the second -2, and so on. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective index.
  | objectiveIdx | holds the objective index to set. All the objective indexes are negative starting from -1 downward.

Returns:
  whether the optimization objective index is set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 3899 of file OSResult.cpp.

bool OSResult::setSolutionWeightedObjectives | ( | int | solIdx,
|  | bool | weightedObjectives |
| ) |  |  |

Record whether the [i]th optimization solution uses weighted objectives, where i equals the given solution index.

Parameters:

  | solIdx | holds the solution index to set the objective index.
  | weightedObjectives | holds the value "true" or "false".

Returns:
  whether the information was set successfully or not.

Definition at line 3914 of file OSResult.cpp.

bool OSResult::setSolutionMessage | ( | int | solIdx,
|  | std::string | msg |
| ) |  |  |

Set the [i]th optimization solution's message, where i equals the given solution index.

The first objective's index should be -1, the second -2, and so on. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective index.
  | msg | holds the solution message to set.

Returns:
  whether the optimization objective index is set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 3927 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), BonminSolver::solve(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setNumberOfPrimalVariableValues | ( | int | solIdx,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's number of primal variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | n | holds the number of elements in the array x

Returns:
  whether primal variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 3941 of file OSResult.cpp.

bool OSResult::setPrimalVariableValuesSparse | ( | int | solIdx,
|  | std::vector< IndexValuePair * > | x |
| ) |  |  |

Set the [i]th optimization solution's primal variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | x | holds a vector of type IndexValuePair; the idx component holds the index of the variable; the value component holds its value. The vector could be null if all variables are 0.

Returns:
  whether primal variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 3966 of file OSResult.cpp.

bool OSResult::setPrimalVariableValuesDense | ( | int | solIdx,
|  | double * | x |
| ) |  |  |

Set the [i]th optimization solution's primal variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | x | holds a double dense array of variable values to set; it could be null if all variables are 0.

Returns:
  whether primal variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 3998 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setNumberOfVarValues | ( | int | solIdx,
|  | int | numberOfVar |
| ) |  |  |

Set the number of primal variables to be given a value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | numberOfVar | holds the number of primal variables that are to be set

Returns:
  whether the information was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4030 of file OSResult.cpp.

bool OSResult::setVarValue | ( | int | solIdx,
|  | int | number,
|  | int | idx,
|  | double | val |
| ) |  |  |

Set a primal variable value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | number | holds the location within the sparse array var that is to be used
  | idx | holds the index of the primal variable that is to be set
  | val | holds the variable value to set.

Returns:
  whether primal variable value was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4055 of file OSResult.cpp.

bool OSResult::setNumberOfVarValuesString | ( | int | solIdx,
|  | int | numberOfVar |
| ) |  |  |

Set the number of string-valued primal variables to be given a value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | numberOfVar | holds the number of primal variables that are to be set

Returns:
  whether the information was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4092 of file OSResult.cpp.

bool OSResult::setVarValueString | ( | int | solIdx,
|  | int | number,
|  | int | idx,
|  | std::string | str |
| ) |  |  |

Set a string-valued primal variable value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | number | holds the location within the sparse array var that is to be used
  | idx | holds the index of the primal variable that is to be set
  | str | holds the variable value to set.

Returns:
  whether primal variable value was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4121 of file OSResult.cpp.

bool OSResult::setBasisStatus | ( | int | solIdx,
|  | int | object,
|  | int | status,
|  | int * | i,
|  | int | ni |
| ) |  |  |

Set the basis status of a number of variables/constraints/objectives.

Parameters:

  | solIdx | holds the index of the solution to which the basis values belong.
  | object | holds the type of basis object to be used (legal values are taken from the ENUMM_PROBLEM_COMPONENT enumeration --- see OSGeneral.h))
  | status | holds the status which is to be used (legal values are taken from the ENUM_BASIS_STATUS enumeration --- see OSGeneral.h)
  | i | holds the integer array whose values are to be transferred. (NOTE WELL: This method does not handle individual variables --- the entire basis must be processed at once.)
  | ni | holds the number of elements of i

Returns:
  whether basis status was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4157 of file OSResult.cpp.

References ConstraintSolution::basisStatus, ObjectiveSolution::basisStatus, VariableSolution::basisStatus, OptimizationSolution::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, BasisStatus::setIntVector(), OptimizationResult::solution, and OptimizationSolution::variables.

Referenced by CoinSolver::writeResult().

bool OSResult::setNumberOfOtherVariableResults | ( | int | solIdx,
|  | int | numberOfOtherVariableResults |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first. This method then allocates the memory for the new OtherVariableResult objects

Parameters:

  | solIdx | is the solution index
  | numberOfOtherVariableResult | holds the number of OtherVariableResult objects Each other variable result contains the name (required), an optional description (std::string) and an optional value (std::string). Each other variable result can also optionally contain an array OtherVarResult for each variable. The OtherVarResult contains a variable idx (required) and an optional std::string value.

Returns:
  whether the other variable results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4201 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), and CoinSolver::writeResult().

bool OSResult::setAnOtherVariableResultSparse | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name,
|  | std::string | value,
|  | std::string | description,
|  | int * | idx,
|  | std::string * | s,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the new OtherVariableResult object
  | name | holds the name of the other element
  | value | holds the value of the other element
  | idx | holds a pointer to the indexes of the var element
  | s | holds a pointer to the array of values of the var element
  | n | holds the number of elements of the array

Returns:
  whether the other variable results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Referenced by IpoptProblem::finalize_solution(), and CoinSolver::writeResult().

bool OSResult::setAnOtherVariableResultDense | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name,
|  | std::string | value,
|  | std::string | description,
|  | std::string * | s |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the new OtherVariableResult object
  | name | holds the name of the other element
  | value | holds the value of the other element
  | s | holds a pointer to the array of values of the var element

Returns:
  whether the other variable results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Referenced by main(), and LindoSolver::optimize().

bool OSResult::setOtherVariableResultNumberOfVar | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfVar |
| ) |  |  |

Set the number of children of another (non-standard/solver specific) variable-related result, for the [i]th solution.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | numberOfVar | holds the number of children

Returns:
  whether the other variable result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4282 of file OSResult.cpp.

bool OSResult::setOtherVariableResultNumberOfEnumerations | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfEnumerations |
| ) |  |  |

Set the number of <enumeration> children of another (non-standard/solver specific) variable-related result, for the [i]th solution.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | numberOfEnumerations | holds the number of <enumeration> children

Returns:
  whether the other variable result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4303 of file OSResult.cpp.

bool OSResult::setOtherVariableResultName | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name |
| ) |  |  |

Set the name of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | name | holds the name of the other element

Returns:
  whether the other variable result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4323 of file OSResult.cpp.

bool OSResult::setOtherVariableResultValue | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | value |
| ) |  |  |

Set the value of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | value | holds the name of the other element

Returns:
  whether the other variable result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4341 of file OSResult.cpp.

bool OSResult::setOtherVariableResultDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | description |
| ) |  |  |

Set the description of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | description | holds the name of the other element

Returns:
  whether the other variable result's description was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4359 of file OSResult.cpp.

bool OSResult::setOtherVariableResultVarIdx | ( | int | solIdx,
|  | int | otherIdx,
|  | int | varIdx,
|  | int | idx |
| ) |  |  |

Set the index of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | varIdx | holds the index of the location to which the information is stored
  | idx | holds the index of the variable to which the information belongs

Returns:
  whether the other variable result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4377 of file OSResult.cpp.

bool OSResult::setOtherVariableResultVar | ( | int | solIdx,
|  | int | otherIdx,
|  | int | varIdx,
|  | std::string | value |
| ) |  |  |

Set the value of another (non-standard/solver specific) variable-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | varIdx | holds the index of the location to which the information is stored
  | value | holds the value of the variable to which the information belongs

Returns:
  whether the other variable result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4391 of file OSResult.cpp.

bool OSResult::setOtherOptionEnumeration | ( | int | solIdx,
|  | int | otherIdx,
|  | int | object,
|  | int | enumIdx,
|  | std::string | value,
|  | std::string | description,
|  | int * | i,
|  | int | ni |
| ) |  |  |

Set the value and corresponding indices of another (non-standard/solver specific) variable-related result, for the [k]th solution, where k equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherVariableResult object
  | object | holds the object to which this enumeration pertains (legal values are taken from the ENUM_PROBLEM_COMPONENT enumeration --- see OSGeneral.h))
  | enumIdx | holds the index of the OtherOptionEnumeration object
  | value | holds the value of this result
  | description | holds a description of this result
  | i | holds the indices of the variables that take on this value
  | ni | holds the dimension of the index vector i

Returns:
  whether the other variable result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

Definition at line 4405 of file OSResult.cpp.

References OptimizationSolution::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, OtherConstraintResult::enumeration, OtherObjectiveResult::enumeration, OtherVariableResult::enumeration, OtherConstraintResult::numberOfEnumerations, OtherObjectiveResult::numberOfEnumerations, OtherVariableResult::numberOfEnumerations, VariableSolution::numberOfOtherVariableResults, OptimizationResult::numberOfSolutions, OptimizationSolution::objectives, optimization, ConstraintSolution::other, ObjectiveSolution::other, VariableSolution::other, OtherOptionEnumeration::setOtherOptionEnumeration(), OptimizationResult::solution, and OptimizationSolution::variables.

bool OSResult::setNumberOfOtherObjectiveResults | ( | int | solIdx,
|  | int | numberOfOtherObjectiveResults |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific) objective-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first. This method then allocates the memory for the new OtherObjectiveResult objects

Parameters:

  | solIdx | is the solution index
  | numberOfOtherObjectiveResult | holds the number of OtherObjectiveResult objects Each other objective result contains the name (required), an optional description (std::string) and an optional value (std::string). Each other objective result can also optionally contain an array OtherObjResult for each objective. The OtherObjResult contains an objective idx (required) and an optional std::string value.

Returns:
  whether the other objective results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4464 of file OSResult.cpp.

bool OSResult::setNumberOfObjValues | ( | int | solIdx,
|  | int | numberOfObj |
| ) |  |  |

Set the number of objectives to be given a value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective values.
  | numberOfObj | holds the number of objectives that are to be set

Returns:
  whether the information was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4488 of file OSResult.cpp.

bool OSResult::setNumberOfObjectiveValues | ( | int | solIdx,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's number of objective values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | n | holds the number of elements in the array x

Returns:
  whether objctive values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4518 of file OSResult.cpp.

bool OSResult::setObjectiveValuesSparse | ( | int | solIdx,
|  | std::vector< IndexValuePair * > | x |
| ) |  |  |

Set the [i]th optimization solution's objective values, where i equals the given solution index.

Usually one of the objective is what the solution was solved for (or based on). Its index should be indicated in the solution's objectiveIdx attribute. Based on this objective's solution, the rest of the objective values are (optionally) calculated. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective values.
  | x | holds a vector of type IndexValuePair; the idx component holds the index of the objective; the value component holds its value. The vector could be null if all objectives are 0. Possibly only the objective that the solution is based on has the value, and the rest of the objective values all get a Double.NaN value, meaning that they are not calculated.

Returns:
  whether objective values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4543 of file OSResult.cpp.

bool OSResult::setObjectiveValuesDense | ( | int | solIdx,
|  | double * | objectiveValues |
| ) |  |  |

Set the [i]th optimization solution's objective values, where i equals the given solution index.

Usually one of the objective is what the solution was solved for (or based on). Its index should be indicated in the solution's objectiveIdx attribute. Based on this objective's solution, the rest of the objective values are (optionally) calculated. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective values.
  | objectiveValues | holds the double sparse array of objective values to set. Possibly only the objective that the solution is based on has the value, and the rest of the objective values all get a Double.NaN value, meaning that they are not calculated.

Returns:
  whether objective values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4577 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

bool OSResult::setObjValue | ( | int | solIdx,
|  | int | number,
|  | int | idx,
|  | double | val |
| ) |  |  |

Set an objective value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective values.
  | number | holds the location within the sparse array obj that is to be used
  | idx | holds the index of the objective that is to be set
  | val | holds the objective value to set.

Returns:
  whether primal variable value was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4614 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultNumberOfObj | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfObj |
| ) |  |  |

Set the number of <obj> children of another (non-standard/solver specific) objective-related result, for the [i]th solution.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | numberOfObj | holds the number of <obj> children

Returns:
  whether the other objective result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4650 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultNumberOfEnumerations | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfObj |
| ) |  |  |

Set the number of <enumeration> children of another (non-standard/solver specific) objective-related result, for the [i]th solution.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | numberOfObj | holds the number of <obj> children

Returns:
  whether the other objective result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4674 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultName | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name |
| ) |  |  |

Set the name of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | name | holds the name of the other element

Returns:
  whether the other objective result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4694 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultValue | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | value |
| ) |  |  |

Set the value of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | value | holds the name of the other element

Returns:
  whether the other objective result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4712 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | description |
| ) |  |  |

Set the description of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | description | holds the name of the other element

Returns:
  whether the other objective result's description was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4730 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultObjIdx | ( | int | solIdx,
|  | int | otherIdx,
|  | int | objIdx,
|  | int | idx |
| ) |  |  |

Set the index of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | objIdx | holds the index of the location to which the information is stored
  | idx | holds the index of the objective to which the information belongs

Returns:
  whether the other variable result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4748 of file OSResult.cpp.

bool OSResult::setOtherObjectiveResultObj | ( | int | solIdx,
|  | int | otherIdx,
|  | int | objIdx,
|  | std::string | value |
| ) |  |  |

Set the value of another (non-standard/solver specific) objective-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherObjectiveResult object
  | objIdx | holds the index of the location to which the information is stored
  | value | holds the value of the objective to which the information belongs

Returns:
  whether the other objective result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherObjectiveResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherObjResult

  setSolutionNumber(int)

Definition at line 4763 of file OSResult.cpp.

bool OSResult::setNumberOfOtherConstraintResults | ( | int | solIdx,
|  | int | numberOfOtherConstraintResults |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific) constraint-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first. This method then allocates the memory for the new OtherConstraintResult objects

Parameters:

  | solIdx | is the solution index
  | numberOfOtherConstraintResults | holds the number of OtherConstraintResult objects Each other objective result contains the name (required), an optional description (std::string) and an optional value (std::string). Each other constraint result can also optionally contain an array OtherConResult for each constraint. The OtherConResult contains a constraint idx (required) and an optional std::string value.

Returns:
  whether the other objective results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 4777 of file OSResult.cpp.

bool OSResult::setNumberOfDualValues | ( | int | solIdx,
|  | int | numberOfCon |
| ) |  |  |

Set the number of constraints to be given a value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | numberOfCon | holds the number of constraint that are to be set

Returns:
  whether the information was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4801 of file OSResult.cpp.

bool OSResult::setNumberOfDualVariableValues | ( | int | solIdx,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's number of dual variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the dual variable values.
  | n | holds the number of elements in the array x

Returns:
  whether dual variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4831 of file OSResult.cpp.

bool OSResult::setDualVariableValuesSparse | ( | int | solIdx,
|  | std::vector< IndexValuePair * > | x |
| ) |  |  |

Set the [i]th optimization solution's dual variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the dual variable values.
  | x | holds a vector of type IndexValuePair; the idx component holds the index of the constraint; the value component holds its value. The vector could be null if all dual variables are 0.

Returns:
  whether dual variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4856 of file OSResult.cpp.

bool OSResult::setDualVariableValuesDense | ( | int | solIdx,
|  | double * | y |
| ) |  |  |

Set the [i]th optimization solution's dual variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the dual variable values.
  | y | holds a double dense array of variable dual values; it could be NULL if all values are 0.

Returns:
  whether dual variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4892 of file OSResult.cpp.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), KnitroSolver::solve(), and CoinSolver::writeResult().

bool OSResult::setConstraintValuesDense | ( | int | solIdx,
|  | double * | constraintValues |
| ) |  |  |

Set the [i]th optimization solution's constraint values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | constraintValues | holds the a double dense array of constraint values to set; it could be null if all constraint values are 0.

Returns:
  whether constraint values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4928 of file OSResult.cpp.

bool OSResult::setDualValue | ( | int | solIdx,
|  | int | number,
|  | int | idx,
|  | double | val |
| ) |  |  |

Set a dual value.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | number | holds the location within the sparse array con that is to be used
  | idx | holds the index of the constraint that is to be set
  | val | holds the constraint value to set.

Returns:
  whether dual variable value was set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 4965 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultNumberOfCon | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfCon |
| ) |  |  |

Set the number of <con> children of another (non-standard/solver specific) constraint-related result, for the [i]th solution.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | numberOfCon | holds the number of <con> children

Returns:
  whether the other constraint result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5001 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultNumberOfEnumerations | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfCon |
| ) |  |  |

Set the number of <enumeration> children of another (non-standard/solver specific) constraint-related result, for the [i]th solution.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | numberOfCon | holds the number of <con> children

Returns:
  whether the other constraint result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5023 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultName | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name |
| ) |  |  |

Set the name of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | name | holds the name of the other element

Returns:
  whether the other constraint result's name was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5043 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultValue | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | value |
| ) |  |  |

Set the value of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | value | holds the name of the other element

Returns:
  whether the other constraint result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5061 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | description |
| ) |  |  |

Set the description of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | description | holds the name of the other element

Returns:
  whether the other constraint result's description was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5079 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultConIdx | ( | int | solIdx,
|  | int | otherIdx,
|  | int | conIdx,
|  | int | idx |
| ) |  |  |

Set the index of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | conIdx | holds the index of the location to which the information is stored
  | idx | holds the index of the onstraint to which the information belongs

Returns:
  whether the other variable result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5097 of file OSResult.cpp.

bool OSResult::setOtherConstraintResultCon | ( | int | solIdx,
|  | int | otherIdx,
|  | int | conIdx,
|  | std::string | value |
| ) |  |  |

Set the value of another (non-standard/solver specific) constraint-related result, for the [i]th solution, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the OtherConstraintResult object
  | conIdx | holds the index of the location to which the information is stored
  | value | holds the value of the constraint to which the information belongs

Returns:
  whether the other constraint result's value was set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherConstraintResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherConResult

  setSolutionNumber(int)

Definition at line 5111 of file OSResult.cpp.

bool OSResult::setNumberOfOtherSolutionResults | ( | int | solIdx,
|  | int | numberOfOtherSolutionResults |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific) solution-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first. This method then allocates the memory for the new OtherSolutionResult objects

Parameters:

  | solIdx | is the solution index
  | numberOfOtherSolutionResults | holds the number of OtherSolutionResult objects Each other objective result contains the name (required), an optional description (std::string) and an optional category (std::string). Each other solution result can also optionally contain an array Item for each result. The Item content is string-valued.

Returns:
  whether the other objective results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherSolutionResult

  org.optimizationservices.oscommon.datastructure.osresult.Item

  setSolutionNumber(int)

Definition at line 5125 of file OSResult.cpp.

bool OSResult::setOtherSolutionResultName | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name |
| ) |  |  |

Set the name associated with the [j]th other solution result of solution [i].

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | otherIdx | holds the index of the otherSolutionResult
  | name | holds the name of the otherSolutionResult

Returns:
  whether the other solution result was set successfully or not.

Definition at line 5149 of file OSResult.cpp.

bool OSResult::setOtherSolutionResultCategory | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | category |
| ) |  |  |

Set the category associated with the [j]th other solution result of solution [i].

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | otherIdx | holds the index of the otherSolutionResult
  | category | holds the category of the otherSolutionResult

Returns:
  whether the other solution result was set successfully or not.

Definition at line 5162 of file OSResult.cpp.

bool OSResult::setOtherSolutionResultDescription | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | description |
| ) |  |  |

Set the description associated with the [j]th other solution result of solution [i].

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | otherIdx | holds the index of the otherSolutionResult
  | category | holds the description of the otherSolutionResult

Returns:
  whether the other solution result was set successfully or not.

Definition at line 5176 of file OSResult.cpp.

bool OSResult::setOtherSolutionResultNumberOfItems | ( | int | solIdx,
|  | int | otherIdx,
|  | int | numberOfItems |
| ) |  |  |

Set the number of items associated with the [j]th other solution result of solution [i].

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | otherIdx | holds the index of the otherSolutionResult
  | numberOfItems | holds the number of items

Returns:
  whether the other solution result was set successfully or not.

Definition at line 5190 of file OSResult.cpp.

bool OSResult::setOtherSolutionResultItem | ( | int | solIdx,
|  | int | otherIdx,
|  | int | itemIdx,
|  | std::string | item |
| ) |  |  |

Set one item associated with the [j]th other solution result of solution [i].

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | otherIdx | holds the index of the otherSolutionResult
  | itemIdx | holds the index of the item
  | item | holds the value of the item

Returns:
  whether the other solution result item was set successfully or not.

Definition at line 5208 of file OSResult.cpp.

bool OSResult::setNumberOfSolverOutputs | ( | int | numberOfSolverOutputs | ) |

Set the number of other solver outputs.

Parameters:

  | numberOfOtherSolverOutputs | holds the number of SolverOutput objects Each solver output can also optionally contain an array Item for each result. The Item content is string-valued.

Returns:
  whether the results were set successfully or not.

Definition at line 5222 of file OSResult.cpp.

References optimization, and OptimizationResult::otherSolverOutput.

bool OSResult::setSolverOutputName | ( | int | otherIdx,
|  | std::string | name |
| ) |  |  |

Set the name associated with the [j]th solver output.

Parameters:

  | otherIdx | holds the index of the solverOutput object
  | name | holds the name of the solver output

Returns:
  whether the solver output was set successfully or not.

Definition at line 5239 of file OSResult.cpp.

bool OSResult::setSolverOutputCategory | ( | int | otherIdx,
|  | std::string | category |
| ) |  |  |

Set the category associated with the [j]th solver output.

Parameters:

  | otherIdx | holds the index of the solverOutput object
  | name | holds the category of the solver output

Returns:
  whether the solver output was set successfully or not.

Definition at line 5247 of file OSResult.cpp.

bool OSResult::setSolverOutputDescription | ( | int | otherIdx,
|  | std::string | description |
| ) |  |  |

Set the description associated with the [j]th solver output.

Parameters:

  | otherIdx | holds the index of the solverOutput object
  | name | holds the description of the solver output

Returns:
  whether the solver output was set successfully or not.

Definition at line 5255 of file OSResult.cpp.

bool OSResult::setSolverOutputNumberOfItems | ( | int | otherIdx,
|  | int | numberOfItems |
| ) |  |  |

Set the number of items associated with the [j]th solver output.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | otherIdx | holds the index of the solverOutput object
  | numberOfItems | holds the number of items

Returns:
  whether the information was set successfully or not.

Definition at line 5264 of file OSResult.cpp.

bool OSResult::setSolverOutputItem | ( | int | otherIdx,
|  | int | itemIdx,
|  | std::string | item |
| ) |  |  |

Set one item associated with the [j]th solver output.

Parameters:

  | otherIdx | holds the index of the otherSolutionResult
  | itemIdx | holds the index of the item
  | item | holds the value of the item

Returns:
  whether the information was set successfully or not.

Definition at line 5277 of file OSResult.cpp.

GeneralStatus* OSResult::getGeneralStatus | ( |  | ) |

Get the general status.

Returns:
  the general status.

std::string OSResult::getGeneralStatusType | ( |  | ) |

Get the general status type, which can be: success, error, warning.

Returns:
  the general status type, null if none.

std::string OSResult::getGeneralStatusDescription | ( |  | ) |

Get the general status description.

Returns:
  the general status description, null or empty std::string if none.

std::string OSResult::getServiceName | ( |  | ) |

Get service name.

Returns:
  the service name.

std::string OSResult::getServiceURI | ( |  | ) |

Get service uri.

Returns:
  the service uri.

std::string OSResult::getInstanceName | ( |  | ) |

Get instance name.

Returns:
  the instance name.

std::string OSResult::getJobID | ( |  | ) |

Get the job id.

Returns:
  the job id.

std::string OSResult::getGeneralMessage | ( |  | ) |

Get the general message.

Returns:
  the general message.

int OSResult::getTimeNumber | ( |  | ) |

Get the number of time measurements.

Returns:
  the number of time measurements

double OSResult::getTimeValue | ( |  | ) |

Get the time measurement.

In the first instance, assume that there is only a single measure, which is the total elapsed time in seconds

Returns:
  the time measurement

double* OSResult::getOptimalPrimalVariableValues | ( | int | objIdx | ) |

Get one solution of optimal primal variable values.

Parameters:

  | objIdx | holds the objective index the optimal value corresponds to.

Returns:
  a double dense array of the optimal values, null if no optimal value.

double* OSResult::getOptimalDualVariableValues | ( | int | objIdx | ) |

Get one solution of optimal dual variable values.

Parameters:

  | objIdx | holds the objective index the optimal value corresponds to.

Returns:
  a double dense array of the optimal dual values, null if no optimal value.

OptimizationSolutionStatus* OSResult::getSolutionStatus | ( | int | solIdx | ) |

Get the [i]th optimization solution status, where i equals the given solution index.

The solution status includes the status type, optional descriptions and possibly substatuses.

Parameters:

  | solIdx | holds the solution index to get the solution status.

Returns:
  the optimization solution status that corresponds to solIdx, null if none.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OptimizationSolutionStatus

std::string OSResult::getSolutionStatusType | ( | int | solIdx | ) |

Get the [i]th optimization solution status type, where i equals the given solution index.

The solution status type can be: unbounded, globallyOptimal, locallyOptimal, optimal, bestSoFar, feasible, infeasible, stoppedByLimit, unsure, error, other

Parameters:

  | solIdx | holds the solution index to get the solution status type.

Returns:
  the optimization solution status type that corresponds to solIdx, null or empty std::string if none.

std::string OSResult::getSolutionStatusDescription | ( | int | solIdx | ) |

Get the [i]th optimization solution status description, where i equals the given solution index.

Parameters:

  | solIdx | holds the solution index to get the solution status description.

Returns:
  the optimization solution status description that corresponds to solIdx, null or empty std::string if none.

std::string OSResult::getSolutionMessage | ( | int | solIdx | ) |

Get the [i]th optimization solution message, where i equals the given solution index.

Parameters:

  | solIdx | holds the solution index to get the solution message.

Returns:
  the optimization solution message that corresponds to solIdx, null or empty if none.

int OSResult::getVariableNumber | ( |  | ) |

Get variable number.

Returns:
  variable number, -1 if no information.

int OSResult::getObjectiveNumber | ( |  | ) |

Get objective number.

Returns:
  objective number, -1 if no information.

int OSResult::getConstraintNumber | ( |  | ) |

Get constraint number.

Returns:
  constraint number, -1 if no information.

int OSResult::getSolutionNumber | ( |  | ) |

get the number of solutions.

Returns:
  the number of solutions, 0 if none.

int OSResult::getNumberOfOtherVariableResults | ( | int | solIdx | ) |

Get numberOfOtherVariableResult.

Returns:
  numberOfOtherVariableResult, -1 if no information.

bool OSResult::setGeneralStatus | ( | GeneralStatus * | status | ) |

Set the general status.

Parameters:

  | status | holds the general status.

Returns:
  whether the general status is set successfully.

bool OSResult::setGeneralStatusType | ( | std::string | type | ) |

Set the general status type, which can be: success, error, warning.

Parameters:

  | type | holds the general status type

Returns:
  whether the general status type is set successfully or not.

bool OSResult::setGeneralStatusDescription | ( | std::string | description | ) |

Set the general status description.

Parameters:

  | description | holds the general status description.

Returns:
  whether the general status description is set successfully or not.

bool OSResult::setGeneralMessage | ( | std::string | message | ) |

Set the general message.

Parameters:

  | message | holds the general message.

Returns:
  whether process message is set successfully.

bool OSResult::setServiceName | ( | std::string | serviceName | ) |

Set service name.

Parameters:

  | serviceName | holds the name of the service.

Returns:
  whether the service name is set successfully.

bool OSResult::setServiceURI | ( | std::string | serviceURI | ) |

Set service uri.

Parameters:

  | serviceURI | holds the uri of the service.

Returns:
  whether the service uri is set successfully.

bool OSResult::setInstanceName | ( | std::string | instanceName | ) |

Set instance name.

Parameters:

  | instanceName | holds the name of the instance.

Returns:
  whether the instance name is set successfully.

bool OSResult::setJobID | ( | std::string | jobID | ) |

Set job id.

Parameters:

  | jobID | holds the job id.

Returns:
  whether the job id is set successfully.

bool OSResult::setTime | ( | double | time | ) |

Set time.

Parameters:

  | time | holds the time.

Returns:
  whether the time is set successfully.

bool OSResult::addTimingInformation | ( | std::string | type,
|  | std::string | category,
|  | std::string | unit,
|  | std::string | description,
|  | double | value |
| ) |  |  |

Add timing information.

Parameters:

  | type | holds the timer type (cpuTime/elapsedTime/other).
  | category | holds the timer category (total/input/preprocessing, etc.)
  | unit | holds the timer unit (tick/milliscond/second/minute/etc.)
  | description | holds further information about the timer.
  | value | holds the time measurement.

Returns:
  whether the time is set successfully.

bool OSResult::setTimeNumber | ( | int | timeNumber | ) |

Set the number of time measurements.

Parameters:

  | timeNumber | holds the number of measurements

Returns:
  whether the time number is set successfully or not.

bool OSResult::setVariableNumber | ( | int | variableNumber | ) |

Set the variable number.

Parameters:

  | variableNumber | holds the number of variables

Returns:
  whether the variable number is set successfully or not.

bool OSResult::setObjectiveNumber | ( | int | objectiveNumber | ) |

Set the objective number.

Parameters:

  | objectiveNumber | holds the number of objectives

Returns:
  whether the objective number is set successfully or not.

bool OSResult::setConstraintNumber | ( | int | constraintNumber | ) |

Set the constraint number.

Parameters:

  | constraintNumber | holds the number of constraints

Returns:
  whether the constraint number is set successfully or not.

bool OSResult::setSolutionNumber | ( | int | number | ) |

set the number of solutions.

This method must be called before setting other optimization solution related results. Before this method is called, the setVariableNumber(int), setObjectiveNumber(int), setConstraintNumber(int) methods have to be called first.

Parameters:

  | number | holds the number of solutions to set.

Returns:
  whether the solution number is set successfully.

See also:
  setVariableNumber(int)

  setObjectiveNumber(int)

  setConstraintNumber(int)

bool OSResult::setSolutionStatus | ( | int | solIdx,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

Set the [i]th optimization solution status, where i equals the given solution index.

The solution status includes the status type, optional descriptions and possibly substatuses. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the solution status.
  | status | holds the optimization solution status to set.

Returns:
  whether the optimization solution status is set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OptimizationSolutionStatus

  setSolutionNumber(int)

bool OSResult::setSolutionObjectiveIndex | ( | int | solIdx,
|  | int | objectiveIdx |
| ) |  |  |

Set the [i]th optimization solution's objective index, where i equals the given solution index.

The first objective's index should be -1, the second -2, and so on. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective index.
  | objectiveIdx | holds the objective index to set. All the objective indexes are negative starting from -1 downward.

Returns:
  whether the optimization objective index is set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 990 of file OSResult.cpp.

References getSolutionNumber(), optimization, OptimizationResult::solution, and OptimizationSolution::targetObjectiveIdx.

bool OSResult::setNumberOfPrimalVariableValues | ( | int | solIdx,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's number of primal variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | n | holds the number of elements in the array x

Returns:
  whether primal variable values are set successfully or not.

See also:
  setSolutionNumber(int)

bool OSResult::setPrimalVariableValues | ( | int | solIdx,
|  | double * | x,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's primal variable values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the primal variable values.
  | x | holds the a double dense array of variable values to set; it could be null if all variables are 0.
  | n | holds the number of elements in the array x

Returns:
  whether primal variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 1028 of file OSResult.cpp.

References getSolutionNumber(), VarValue::idx, VariableValues::numberOfVar, optimization, OptimizationResult::solution, VarValue::value, VariableSolution::values, VariableValues::var, and OptimizationSolution::variables.

bool OSResult::setNumberOfOtherVariableResults | ( | int | solIdx,
|  | int | numberOfOtherVariableResults |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first. This method then allocates the memory for the new OtherVariableResult objects

Parameters:

  | solIdx | is the solution index
  | numberOfOtherVariableResult | holds the number of OtherVariableResult objects Each other variable result contains the name (required), an optional description (std::string) and an optional value (std::string). Each other variable result can also optionally contain an array OtherVarResult for each variable. The OtherVarResult contains a variable idx (required) and an optional std::string value.

Returns:
  whether the other variable results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

bool OSResult::setAnOtherVariableResult | ( | int | solIdx,
|  | int | otherIdx,
|  | std::string | name,
|  | std::string | description,
|  | int * | indexes,
|  | std::string * | s,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's other (non-standard/solver specific)variable-related results, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index
  | otherIdx | holds the index of the new OtherVariableResult object
  | name | holds the name of the other element
  | s | holds a pointer to the array of values of the var element
  | n | holds the number of elements of the array

Returns:
  whether the other variable results are set successfully or not.

See also:
  org.optimizationservices.oscommon.datastructure.osresult.OtherVariableResult

  org.optimizationservices.oscommon.datastructure.osresult.OtherVarResult

  setSolutionNumber(int)

bool OSResult::setObjectiveValues | ( | int | solIdx,
|  | double * | objectiveValues,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's objective values, where i equals the given solution index.

Usually one of the objective is what the solution was solved for (or based on). Its index should be indicated in the solution's objectiveIdx attribute. Based on this objective's solution, the rest of the objective values are (optionally) calculated. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the objective values.
  | objectiveValues | holds the a double dense array of objective values to set. Possibly only the objective that the solution is based on has the value, and the rest of the objective values all get a Double.NaN value, meaning that they are not calculated.
  | n | holds the dimension of the objectiveValues array

Returns:
  whether objective values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 1130 of file OSResult.cpp.

References getSolutionNumber(), ObjValue::idx, ObjectiveValues::numberOfObj, ObjectiveValues::obj, OptimizationSolution::objectives, optimization, OptimizationResult::solution, ObjValue::value, and ObjectiveSolution::values.

bool OSResult::setDualVariableValues | ( | int | solIdx,
|  | double * | lbValues,
|  | double * | ubValues,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's dual variable values, where i equals the given solution index.

The method allows setting dual values at both the constraints' lower and upper bounds. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the dual variable values.
  | lbValues | holds the a double dense array of variable dual values to set at the lower bounds; it could be null if all values are 0.
  | ubValues | holds the a double dense array of variable dual values to set at the upper bounds; it could be null if all values are 0.
  | n | holds the number of values in the lbValues and ubValues arrays

Returns:
  whether dual variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 1184 of file OSResult.cpp.

References DualVariableValues::con, OptimizationSolution::constraints, ConstraintSolution::dualValues, getSolutionNumber(), DualVarValue::idx, DualVarValue::lbValue, DualVariableValues::numberOfCon, optimization, OptimizationResult::solution, and DualVarValue::ubValue.

bool OSResult::setDualVariableValues | ( | int | solIdx,
|  | double * | y,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's dual variable values, where i equals the given solution index.

The method allows setting dual values at both the constraints' lower and upper bounds. Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the dual variable values.
  | y | holds a double dense array of variable dual values; it could be NULL if all values are 0.
  | n | holds the number of elements of the array y.

Returns:
  whether dual variable values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 1261 of file OSResult.cpp.

References DualVariableValues::con, OptimizationSolution::constraints, ConstraintSolution::dualValues, getSolutionNumber(), DualVarValue::idx, DualVariableValues::numberOfCon, optimization, OptimizationResult::solution, and DualVarValue::value.

bool OSResult::setConstraintValues | ( | int | solIdx,
|  | double * | constraintValues,
|  | int | n |
| ) |  |  |

Set the [i]th optimization solution's constraint values, where i equals the given solution index.

Before this method is called, the setSolutionNumber(int) method has to be called first.

Parameters:

  | solIdx | holds the solution index to set the constraint values.
  | constraintValues | holds the a double dense array of constraint values to set; it could be null if all constraint values are 0.
  | n | holds the dimension of the array constraintValues.

Returns:
  whether constraint values are set successfully or not.

See also:
  setSolutionNumber(int)

Definition at line 1293 of file OSResult.cpp.

References DualVariableValues::con, OptimizationSolution::constraints, ConstraintSolution::dualValues, getSolutionNumber(), DualVarValue::idx, DualVariableValues::numberOfCon, optimization, OptimizationResult::solution, and DualVarValue::value.

## Member Data Documentation

GeneralFileHeader* OSResult::resultHeader

header information

Definition at line 2224 of file OSResult.h.

Referenced by setRandom(), setResultHeader(), OSrLWriter::writeOSrL(), and ~OSResult().

GeneralResult* OSResult::general

general holds the first child of the OSResult specified by the OSrL Schema.

Definition at line 2229 of file OSResult.h.

Referenced by setGeneralStatus(), setNumberOfGeneralSubstatuses(), setNumberOfOtherGeneralResults(), OSrLWriter::writeOSrL(), and OSrL2Gams::writeSolution().

SystemResult* OSResult::system

system holds the second child of the OSResult specified by the OSrL Schema.

Definition at line 2234 of file OSResult.h.

Referenced by setAvailableCPUNumberDescription(), setAvailableCPUNumberValue(), setAvailableCPUSpeedDescription(), setAvailableCPUSpeedUnit(), setAvailableCPUSpeedValue(), setAvailableDiskSpaceDescription(), setAvailableDiskSpaceUnit(), setAvailableDiskSpaceValue(), setAvailableMemoryDescription(), setAvailableMemoryUnit(), setAvailableMemoryValue(), setNumberOfOtherSystemResults(), and OSrLWriter::writeOSrL().

ServiceResult* OSResult::service

service holds the third child of the OSResult specified by the OSrL Schema.

Definition at line 2239 of file OSResult.h.

Referenced by setCurrentJobCount(), setCurrentState(), setNumberOfOtherServiceResults(), setServiceUtilization(), setTimeServiceStarted(), setTotalJobsSoFar(), and OSrLWriter::writeOSrL().

JobResult* OSResult::job

job holds the fourth child of the OSResult specified by the OSrL Schema.

Definition at line 2244 of file OSResult.h.

Referenced by addTimingInformation(), getTimeNumber(), getTimeValue(), setActualStartTime(), setJobEndTime(), setJobStatus(), setJobSubmitTime(), setNumberOfOtherJobResults(), setNumberOfTimes(), setScheduledStartTime(), setTimeNumber(), setTimingInformation(), setUsedCPUNumberDescription(), setUsedCPUNumberValue(), setUsedCPUSpeedDescription(), setUsedCPUSpeedUnit(), setUsedCPUSpeedValue(), setUsedDiskSpaceDescription(), setUsedDiskSpaceUnit(), setUsedDiskSpaceValue(), setUsedMemoryDescription(), setUsedMemoryUnit(), setUsedMemoryValue(), and OSrLWriter::writeOSrL().

OptimizationResult* OSResult::optimization

optimization holds the fifth child of the OSResult specified by the OSrL Schema.

Definition at line 2249 of file OSResult.h.

Referenced by getBasisStatusEl(), getBasisStatusNumberOfEl(), getConstraintNumber(), getNumberOfOtherVariableResults(), getObjectiveNumber(), getOtherConstraintResultEnumerationDescription(), getOtherConstraintResultEnumerationEl(), getOtherConstraintResultEnumerationNumberOfEl(), getOtherConstraintResultEnumerationValue(), getOtherObjectiveResultEnumerationDescription(), getOtherObjectiveResultEnumerationEl(), getOtherObjectiveResultEnumerationNumberOfEl(), getOtherObjectiveResultEnumerationValue(), getOtherVariableResultEnumerationDescription(), getOtherVariableResultEnumerationEl(), getOtherVariableResultEnumerationNumberOfEl(), getOtherVariableResultEnumerationValue(), getVariableNumber(), main(), setBasisStatus(), setConstraintValues(), setDualVariableValues(), setNumberOfSolverOutputs(), setObjectiveValues(), setOtherOptionEnumeration(), setPrimalVariableValues(), setSolutionObjectiveIndex(), tempPrintArrays(), and OSrL2Gams::writeSolution().

int OSResult::m_iVariableNumber

m_iVariableNumber holds the variable number.

Definition at line 2281 of file OSResult.h.

Referenced by getVariableNumber().

int OSResult::m_iObjectiveNumber

m_iObjectiveNumber holds the objective number.

Definition at line 2286 of file OSResult.h.

Referenced by getObjectiveNumber().

int OSResult::m_iConstraintNumber

m_iConstraintNumber holds the constraint number.

Definition at line 2291 of file OSResult.h.

Referenced by getConstraintNumber().

int OSResult::m_iNumberOfOtherVariableResults

m_iNumberOfOtherVariableResults holds the number of OtherVariableResult objects.

Definition at line 2296 of file OSResult.h.

Referenced by getNumberOfOtherVariableResults().

double* OSResult::m_mdPrimalValues

m_mdPrimalValues a vector of primal variables.

Definition at line 2301 of file OSResult.h.

double* OSResult::m_mdDualValues

m_mdDualValues a vector of dual variables.

Definition at line 2306 of file OSResult.h.

std::vector<IndexValuePair*> OSResult::primalVals

Definition at line 2309 of file OSResult.h.

std::vector<IndexValuePair*> OSResult::dualVals

Definition at line 2311 of file OSResult.h.

GeneralResult* OSResult::general

general holds the first child of the OSResult specified by the OSrL Schema.

Definition at line 1310 of file OSResult.h.

SystemResult* OSResult::system

system holds the second child of the OSResult specified by the OSrL Schema.

Definition at line 1315 of file OSResult.h.

ServiceResult* OSResult::service

service holds the third child of the OSResult specified by the OSrL Schema.

Definition at line 1320 of file OSResult.h.

JobResult* OSResult::job

job holds the fourth child of the OSResult specified by the OSrL Schema.

Definition at line 1325 of file OSResult.h.

OptimizationResult* OSResult::optimization

optimization holds the fifth child of the OSResult specified by the OSrL Schema.

Definition at line 1330 of file OSResult.h.

double* OSResult::m_mdPrimalValues

m_mdPrimalValues a vector of primal variables.

Definition at line 1368 of file OSResult.h.

double* OSResult::m_mdDualValues

m_mdDualValues a vector of primal variables.

Definition at line 1373 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp